export default class DiscourseAPIGenerated {
    _exec(_operationName, _params) { throw new Error('Not implemented'); }
    /**
     * List backups
     */
    getBackups() {
        return this._exec('getBackups');
    }
    /**
     * Create backup
     */
    createBackup(params) {
        return this._exec('createBackup', params);
    }
    /**
     * Download backup
     */
    downloadBackup(params) {
        return this._exec('downloadBackup', params);
    }
    /**
     * Send download backup email
     */
    sendDownloadBackupEmail(params) {
        return this._exec('sendDownloadBackupEmail', params);
    }
    /**
     * List badges
     */
    adminListBadges() {
        return this._exec('adminListBadges');
    }
    /**
     * Create badge
     */
    createBadge(params) {
        return this._exec('createBadge', params);
    }
    /**
     * Update badge
     */
    updateBadge(params) {
        return this._exec('updateBadge', params);
    }
    /**
     * Delete badge
     */
    deleteBadge(params) {
        return this._exec('deleteBadge', params);
    }
    /**
     * Retrieves a list of categories
     */
    listCategories(params) {
        return this._exec('listCategories', params);
    }
    /**
     * Creates a category
     */
    createCategory(params) {
        return this._exec('createCategory', params);
    }
    /**
     * Updates a category
     */
    updateCategory(params) {
        return this._exec('updateCategory', params);
    }
    /**
     * List topics
     */
    listCategoryTopics(params) {
        return this._exec('listCategoryTopics', params);
    }
    /**
     * Show category
     */
    getCategory(params) {
        return this._exec('getCategory', params);
    }
    /**
     * Create a group
     */
    createGroup(params) {
        return this._exec('createGroup', params);
    }
    /**
     * Delete a group
     */
    deleteGroup(params) {
        return this._exec('deleteGroup', params);
    }
    /**
     * Get a group
     */
    getGroup(params) {
        return this._exec('getGroup', params);
    }
    /**
     * Update a group
     */
    updateGroup(params) {
        return this._exec('updateGroup', params);
    }
    /**
     * List group members
     */
    listGroupMembers(params) {
        return this._exec('listGroupMembers', params);
    }
    /**
     * Add group members
     */
    addGroupMembers(params) {
        return this._exec('addGroupMembers', params);
    }
    /**
     * Remove group members
     */
    removeGroupMembers(params) {
        return this._exec('removeGroupMembers', params);
    }
    /**
     * List groups
     */
    listGroups() {
        return this._exec('listGroups');
    }
    /**
     * Create an invite
     */
    createInvite(params) {
        return this._exec('createInvite', params);
    }
    /**
     * Create multiple invites
     */
    createMultipleInvites(params) {
        return this._exec('createMultipleInvites', params);
    }
    /**
     * Get the notifications that belong to the current user
     */
    getNotifications() {
        return this._exec('getNotifications');
    }
    /**
     * Mark notifications as read
     */
    markNotificationsAsRead(params) {
        return this._exec('markNotificationsAsRead', params);
    }
    /**
     * List latest posts across topics
     */
    listPosts(params) {
        return this._exec('listPosts', params);
    }
    /**
     * Creates a new topic, a new post, or a private message
     */
    createTopicPostPM(params) {
        return this._exec('createTopicPostPM', params);
    }
    /**
     * Retrieve a single post
     * @description This endpoint can be used to get the number of likes on a post using the
     * `actions_summary` property in the response. `actions_summary` responses
     * with the id of `2` signify a `like`. If there are no `actions_summary`
     * items with the id of `2`, that means there are 0 likes. Other ids likely
     * refer to various different flag types.
     */
    getPost(params) {
        return this._exec('getPost', params);
    }
    /**
     * Update a single post
     */
    updatePost(params) {
        return this._exec('updatePost', params);
    }
    /**
     * delete a single post
     */
    deletePost(params) {
        return this._exec('deletePost', params);
    }
    /**
     * List replies to a post
     */
    postReplies(params) {
        return this._exec('postReplies', params);
    }
    /**
     * Lock a post from being edited
     */
    lockPost(params) {
        return this._exec('lockPost', params);
    }
    /**
     * Like a post and other actions
     */
    performPostAction(params) {
        return this._exec('performPostAction', params);
    }
    /**
     * Get a list of private messages for a user
     */
    listUserPrivateMessages(params) {
        return this._exec('listUserPrivateMessages', params);
    }
    /**
     * Get a list of private messages sent for a user
     */
    getUserSentPrivateMessages(params) {
        return this._exec('getUserSentPrivateMessages', params);
    }
    /**
     * Search for a term
     */
    search(params) {
        return this._exec('search', params);
    }
    /**
     * Get site info
     * @description Can be used to fetch all categories and subcategories
     */
    getSite() {
        return this._exec('getSite');
    }
    /**
     * Get site basic info
     * @description Can be used to fetch basic info about a site
     */
    getSiteBasicInfo() {
        return this._exec('getSiteBasicInfo');
    }
    /**
     * Get a list of tag groups
     */
    listTagGroups() {
        return this._exec('listTagGroups');
    }
    /**
     * Creates a tag group
     */
    createTagGroup(params) {
        return this._exec('createTagGroup', params);
    }
    /**
     * Get a single tag group
     */
    getTagGroup(params) {
        return this._exec('getTagGroup', params);
    }
    /**
     * Update tag group
     */
    updateTagGroup(params) {
        return this._exec('updateTagGroup', params);
    }
    /**
     * Get a list of tags
     */
    listTags() {
        return this._exec('listTags');
    }
    /**
     * Get a specific tag
     */
    getTag(params) {
        return this._exec('getTag', params);
    }
    /**
     * Get specific posts from a topic
     */
    getSpecificPostsFromTopic(params) {
        return this._exec('getSpecificPostsFromTopic', params);
    }
    /**
     * Get a single topic
     */
    getTopic(params) {
        return this._exec('getTopic', params);
    }
    /**
     * Remove a topic
     */
    removeTopic(params) {
        return this._exec('removeTopic', params);
    }
    /**
     * Update a topic
     */
    updateTopic(params) {
        return this._exec('updateTopic', params);
    }
    /**
     * Invite to topic
     */
    inviteToTopic(params) {
        return this._exec('inviteToTopic', params);
    }
    /**
     * Invite group to topic
     */
    inviteGroupToTopic(params) {
        return this._exec('inviteGroupToTopic', params);
    }
    /**
     * Bookmark topic
     */
    bookmarkTopic(params) {
        return this._exec('bookmarkTopic', params);
    }
    /**
     * Update the status of a topic
     */
    updateTopicStatus(params) {
        return this._exec('updateTopicStatus', params);
    }
    /**
     * Get the latest topics
     */
    listLatestTopics(params) {
        return this._exec('listLatestTopics', params);
    }
    /**
     * Get the top topics filtered by period
     */
    listTopTopics(params) {
        return this._exec('listTopTopics', params);
    }
    /**
     * Set notification level
     */
    setNotificationLevel(params) {
        return this._exec('setNotificationLevel', params);
    }
    /**
     * Update topic timestamp
     */
    updateTopicTimestamp(params) {
        return this._exec('updateTopicTimestamp', params);
    }
    /**
     * Create topic timer
     */
    createTopicTimer(params) {
        return this._exec('createTopicTimer', params);
    }
    /**
     * Get topic by external_id
     */
    getTopicByExternalId(params) {
        return this._exec('getTopicByExternalId', params);
    }
    /**
     * Creates an upload
     */
    createUpload(params) {
        return this._exec('createUpload', params);
    }
    /**
     * Initiates a direct external upload
     * @description Direct external uploads bypass the usual method of creating uploads
     * via the POST /uploads route, and upload directly to an external provider,
     * which by default is S3. This route begins the process, and will return
     * a unique identifier for the external upload as well as a presigned URL
     * which is where the file binary blob should be uploaded to.
  
     * Once the upload is complete to the external service, you must call the
     * POST /complete-external-upload route using the unique identifier returned
     * by this route, which will create any required Upload record in the Discourse
     * database and also move file from its temporary location to the final
     * destination in the external storage service.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    generatePresignedPut(params) {
        return this._exec('generatePresignedPut', params);
    }
    /**
     * Completes a direct external upload
     * @description Completes an external upload initialized with /get-presigned-put. The
     * file will be moved from its temporary location in external storage to
     * a final destination in the S3 bucket. An Upload record will also be
     * created in the database in most cases.
  
     * If a sha1-checksum was provided in the initial request it will also
     * be compared with the uploaded file in storage to make sure the same
     * file was uploaded. The file size will be compared for the same reason.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    completeExternalUpload(params) {
        return this._exec('completeExternalUpload', params);
    }
    /**
     * Creates a multipart external upload
     * @description Creates a multipart upload in the external storage provider, storing
     * a temporary reference to the external upload similar to /get-presigned-put.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    createMultipartUpload(params) {
        return this._exec('createMultipartUpload', params);
    }
    /**
     * Generates batches of presigned URLs for multipart parts
     * @description Multipart uploads are uploaded in chunks or parts to individual presigned
     * URLs, similar to the one generated by /generate-presigned-put. The part
     * numbers provided must be between 1 and 10000. The total number of parts
     * will depend on the chunk size in bytes that you intend to use to upload
     * each chunk. For example a 12MB file may have 2 5MB chunks and a final
     * 2MB chunk, for part numbers 1, 2, and 3.
  
     * This endpoint will return a presigned URL for each part number provided,
     * which you can then use to send PUT requests for the binary chunk corresponding
     * to that part. When the part is uploaded, the provider should return an
     * ETag for the part, and this should be stored along with the part number,
     * because this is needed to complete the multipart upload.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    batchPresignMultipartParts(params) {
        return this._exec('batchPresignMultipartParts', params);
    }
    /**
     * Abort multipart upload
     * @description This endpoint aborts the multipart upload initiated with /create-multipart.
     * This should be used when cancelling the upload. It does not matter if parts
     * were already uploaded into the external storage provider.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    abortMultipart(params) {
        return this._exec('abortMultipart', params);
    }
    /**
     * Complete multipart upload
     * @description Completes the multipart upload in the external store, and copies the
     * file from its temporary location to its final location in the store.
     * All of the parts must have been uploaded to the external storage provider.
     * An Upload record will be completed in most cases once the file is copied
     * to its final location.
  
     * You must have the correct permissions and CORS settings configured in your
     * external provider. We support AWS S3 as the default. See:
  
     * https://meta.discourse.org/t/-/210469#s3-multipart-direct-uploads-4.
  
     * An external file store must be set up and `enable_direct_s3_uploads` must
     * be set to true for this endpoint to function.
     */
    completeMultipart(params) {
        return this._exec('completeMultipart', params);
    }
    /**
     * List badges for a user
     */
    listUserBadges(params) {
        return this._exec('listUserBadges', params);
    }
    /**
     * Creates a user
     */
    createUser(params) {
        return this._exec('createUser', params);
    }
    /**
     * Get a single user by username
     */
    getUser(params) {
        return this._exec('getUser', params);
    }
    /**
     * Update a user
     */
    updateUser(params) {
        return this._exec('updateUser', params);
    }
    /**
     * Get a user by external_id
     */
    getUserExternalId(params) {
        return this._exec('getUserExternalId', params);
    }
    /**
     * Get a user by identity provider external ID
     */
    getUserIdentiyProviderExternalId(params) {
        return this._exec('getUserIdentiyProviderExternalId', params);
    }
    /**
     * Update avatar
     */
    updateAvatar(params) {
        return this._exec('updateAvatar', params);
    }
    /**
     * Update email
     */
    updateEmail(params) {
        return this._exec('updateEmail', params);
    }
    /**
     * Update username
     */
    updateUsername(params) {
        return this._exec('updateUsername', params);
    }
    /**
     * Get a public list of users
     */
    listUsersPublic(params) {
        return this._exec('listUsersPublic', params);
    }
    /**
     * Get a user by id
     */
    adminGetUser(params) {
        return this._exec('adminGetUser', params);
    }
    /**
     * Delete a user
     */
    deleteUser(params) {
        return this._exec('deleteUser', params);
    }
    /**
     * Activate a user
     */
    activateUser(params) {
        return this._exec('activateUser', params);
    }
    /**
     * Deactivate a user
     */
    deactivateUser(params) {
        return this._exec('deactivateUser', params);
    }
    /**
     * Suspend a user
     */
    suspendUser(params) {
        return this._exec('suspendUser', params);
    }
    /**
     * Silence a user
     */
    silenceUser(params) {
        return this._exec('silenceUser', params);
    }
    /**
     * Anonymize a user
     */
    anonymizeUser(params) {
        return this._exec('anonymizeUser', params);
    }
    /**
     * Log a user out
     */
    logOutUser(params) {
        return this._exec('logOutUser', params);
    }
    /**
     * Refresh gravatar
     */
    refreshGravatar(params) {
        return this._exec('refreshGravatar', params);
    }
    /**
     * Get a list of users
     */
    adminListUsers(params) {
        return this._exec('adminListUsers', params);
    }
    /**
     * Get a list of user actions
     */
    listUserActions(params) {
        return this._exec('listUserActions', params);
    }
    /**
     * Send password reset email
     */
    sendPasswordResetEmail(params) {
        return this._exec('sendPasswordResetEmail', params);
    }
    /**
     * Change password
     */
    changePassword(params) {
        return this._exec('changePassword', params);
    }
    /**
     * Get email addresses belonging to a user
     */
    getUserEmails(params) {
        return this._exec('getUserEmails', params);
    }
    /**
     * Send a chat message
     */
    createChatMessage(params) {
        return this._exec('createChatMessage', params);
    }
    /**
     * List recent messages in a channel
     */
    listChatMessages(params) {
        return this._exec('listChatMessages', params);
    }
    /**
     * Edit an existing message
     */
    editChatMessage(params) {
        return this._exec('editChatMessage', params);
    }
    /**
     * Add or remove a reaction
     */
    reactToChatMessage(params) {
        return this._exec('reactToChatMessage', params);
    }
    /**
     * Create or fetch a direct-message channel
     */
    getOrCreateDmChannel(params) {
        return this._exec('getOrCreateDmChannel', params);
    }
    /**
     * Fetch user profile card
     */
    getUserCard(params) {
        return this._exec('getUserCard', params);
    }
}
