declare namespace _default {
    let openapi: string;
    let info: {
        title: string;
        "x-logo": {
            url: string;
        };
        version: string;
        description: string;
        license: {
            name: string;
            url: string;
        };
    };
    let paths: {
        "/admin/backups.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    minItems: number;
                                    uniqueItems: boolean;
                                    items: {
                                        type: string;
                                        properties: {
                                            filename: {
                                                type: string;
                                            };
                                            size: {
                                                type: string;
                                            };
                                            last_modified: {
                                                type: string;
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                            };
                        };
                    };
                };
            };
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    with_uploads: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/admin/backups/{filename}": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
        };
        "/admin/badges.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        badges: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string;
                                                    };
                                                    grant_count: {
                                                        type: string;
                                                    };
                                                    allow_title: {
                                                        type: string;
                                                    };
                                                    multiple_grant: {
                                                        type: string;
                                                    };
                                                    icon: {
                                                        type: string;
                                                    };
                                                    image_url: {
                                                        type: string[];
                                                    };
                                                    listable: {
                                                        type: string;
                                                    };
                                                    enabled: {
                                                        type: string;
                                                    };
                                                    badge_grouping_id: {
                                                        type: string;
                                                    };
                                                    system: {
                                                        type: string;
                                                    };
                                                    long_description: {
                                                        type: string;
                                                    };
                                                    slug: {
                                                        type: string;
                                                    };
                                                    manually_grantable: {
                                                        type: string;
                                                    };
                                                    query: {
                                                        type: string[];
                                                    };
                                                    trigger: {
                                                        type: string[];
                                                    };
                                                    target_posts: {
                                                        type: string;
                                                    };
                                                    auto_revoke: {
                                                        type: string;
                                                    };
                                                    show_posts: {
                                                        type: string;
                                                    };
                                                    i18n_name: {
                                                        type: string[];
                                                    };
                                                    image_upload_id: {
                                                        type: string[];
                                                    };
                                                    badge_type_id: {
                                                        type: string;
                                                    };
                                                    show_in_post_header: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        badge_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    sort_order: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        badge_groupings: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string[];
                                                    };
                                                    position: {
                                                        type: string;
                                                    };
                                                    system: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        admin_badges: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                protected_system_fields: {
                                                    type: string;
                                                    items: {};
                                                };
                                                triggers: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        user_change: {
                                                            type: string;
                                                        };
                                                        none: {
                                                            type: string;
                                                        };
                                                        post_revision: {
                                                            type: string;
                                                        };
                                                        trust_level_change: {
                                                            type: string;
                                                        };
                                                        post_action: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                badge_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                badge_grouping_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                badge_type_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        badge_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    sort_order: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        badge: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                description: {
                                                    type: string;
                                                };
                                                grant_count: {
                                                    type: string;
                                                };
                                                allow_title: {
                                                    type: string;
                                                };
                                                multiple_grant: {
                                                    type: string;
                                                };
                                                icon: {
                                                    type: string;
                                                };
                                                image_url: {
                                                    type: string[];
                                                };
                                                image_upload_id: {
                                                    type: string[];
                                                };
                                                listable: {
                                                    type: string;
                                                };
                                                enabled: {
                                                    type: string;
                                                };
                                                badge_grouping_id: {
                                                    type: string;
                                                };
                                                system: {
                                                    type: string;
                                                };
                                                long_description: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                manually_grantable: {
                                                    type: string;
                                                };
                                                query: {
                                                    type: string[];
                                                };
                                                trigger: {
                                                    type: string[];
                                                };
                                                target_posts: {
                                                    type: string;
                                                };
                                                auto_revoke: {
                                                    type: string;
                                                };
                                                show_posts: {
                                                    type: string;
                                                };
                                                badge_type_id: {
                                                    type: string;
                                                };
                                                show_in_post_header: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                        description: string;
                                    };
                                    badge_type_id: {
                                        type: string;
                                        description: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/admin/badges/{id}.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        badge_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    sort_order: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        badge: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                description: {
                                                    type: string;
                                                };
                                                grant_count: {
                                                    type: string;
                                                };
                                                allow_title: {
                                                    type: string;
                                                };
                                                multiple_grant: {
                                                    type: string;
                                                };
                                                icon: {
                                                    type: string;
                                                };
                                                image_url: {
                                                    type: string[];
                                                };
                                                image_upload_id: {
                                                    type: string[];
                                                };
                                                listable: {
                                                    type: string;
                                                };
                                                enabled: {
                                                    type: string;
                                                };
                                                badge_grouping_id: {
                                                    type: string;
                                                };
                                                system: {
                                                    type: string;
                                                };
                                                long_description: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                manually_grantable: {
                                                    type: string;
                                                };
                                                query: {
                                                    type: string[];
                                                };
                                                trigger: {
                                                    type: string[];
                                                };
                                                target_posts: {
                                                    type: string;
                                                };
                                                auto_revoke: {
                                                    type: string;
                                                };
                                                show_posts: {
                                                    type: string;
                                                };
                                                badge_type_id: {
                                                    type: string;
                                                };
                                                show_in_post_header: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                        description: string;
                                    };
                                    badge_type_id: {
                                        type: string;
                                        description: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
        };
        "/categories.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        category: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                color: {
                                                    type: string;
                                                };
                                                text_color: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                topic_count: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                position: {
                                                    type: string;
                                                };
                                                description: {
                                                    type: string[];
                                                };
                                                description_text: {
                                                    type: string[];
                                                };
                                                description_excerpt: {
                                                    type: string[];
                                                };
                                                topic_url: {
                                                    type: string[];
                                                };
                                                read_restricted: {
                                                    type: string;
                                                };
                                                permission: {
                                                    type: string[];
                                                };
                                                notification_level: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                topic_template: {
                                                    type: string[];
                                                };
                                                form_template_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                has_children: {
                                                    type: string[];
                                                };
                                                subcategory_count: {
                                                    type: string[];
                                                };
                                                sort_order: {
                                                    type: string[];
                                                };
                                                sort_ascending: {
                                                    type: string[];
                                                };
                                                show_subcategory_list: {
                                                    type: string;
                                                };
                                                num_featured_topics: {
                                                    type: string;
                                                };
                                                default_view: {
                                                    type: string[];
                                                };
                                                subcategory_list_style: {
                                                    type: string;
                                                };
                                                default_top_period: {
                                                    type: string;
                                                };
                                                default_list_filter: {
                                                    type: string;
                                                };
                                                minimum_required_tags: {
                                                    type: string;
                                                };
                                                navigate_to_first_post_after_read: {
                                                    type: string;
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {};
                                                };
                                                allowed_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_tag_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allow_global_tags: {
                                                    type: string;
                                                };
                                                required_tag_groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            name: {
                                                                type: string;
                                                            };
                                                            min_count: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                category_setting: {
                                                    auto_bump_cooldown_days: number;
                                                    num_auto_bump_daily: null;
                                                    require_reply_approval: null;
                                                    require_topic_approval: null;
                                                };
                                                read_only_banner: {
                                                    type: string[];
                                                };
                                                available_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                auto_close_hours: {
                                                    type: string[];
                                                };
                                                auto_close_based_on_last_post: {
                                                    type: string;
                                                };
                                                allow_unlimited_owner_edits_on_first_post: {
                                                    type: string;
                                                };
                                                default_slow_mode_seconds: {
                                                    type: string[];
                                                };
                                                group_permissions: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            permission_type: {
                                                                type: string;
                                                            };
                                                            group_name: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                email_in: {
                                                    type: string[];
                                                };
                                                email_in_allow_strangers: {
                                                    type: string;
                                                };
                                                mailinglist_mirror: {
                                                    type: string;
                                                };
                                                all_topics_wiki: {
                                                    type: string;
                                                };
                                                can_delete: {
                                                    type: string;
                                                };
                                                allow_badges: {
                                                    type: string;
                                                };
                                                topic_featured_link_allowed: {
                                                    type: string;
                                                };
                                                search_priority: {
                                                    type: string;
                                                };
                                                uploaded_logo: {
                                                    type: string[];
                                                };
                                                uploaded_logo_dark: {
                                                    type: string[];
                                                };
                                                uploaded_background: {
                                                    type: string[];
                                                };
                                                uploaded_background_dark: {
                                                    type: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                    color: {
                                        type: string;
                                        example: string;
                                    };
                                    text_color: {
                                        type: string;
                                        example: string;
                                    };
                                    parent_category_id: {
                                        type: string;
                                    };
                                    allow_badges: {
                                        type: string;
                                    };
                                    slug: {
                                        type: string;
                                    };
                                    topic_featured_links_allowed: {
                                        type: string;
                                    };
                                    permissions: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            everyone: {
                                                type: string;
                                                example: number;
                                            };
                                            staff: {
                                                type: string;
                                            };
                                        };
                                    };
                                    search_priority: {
                                        type: string;
                                    };
                                    form_template_ids: {
                                        type: string;
                                        items: {};
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum: boolean[];
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        category_list: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                can_create_category: {
                                                    type: string;
                                                };
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                categories: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            color: {
                                                                type: string;
                                                            };
                                                            text_color: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            topic_count: {
                                                                type: string;
                                                            };
                                                            post_count: {
                                                                type: string;
                                                            };
                                                            position: {
                                                                type: string;
                                                            };
                                                            description: {
                                                                type: string[];
                                                            };
                                                            description_text: {
                                                                type: string[];
                                                            };
                                                            description_excerpt: {
                                                                type: string[];
                                                            };
                                                            topic_url: {
                                                                type: string[];
                                                            };
                                                            read_restricted: {
                                                                type: string;
                                                            };
                                                            permission: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            can_edit: {
                                                                type: string;
                                                            };
                                                            topic_template: {
                                                                type: string[];
                                                            };
                                                            has_children: {
                                                                type: string;
                                                            };
                                                            subcategory_count: {
                                                                type: string[];
                                                            };
                                                            sort_order: {
                                                                type: string[];
                                                            };
                                                            sort_ascending: {
                                                                type: string[];
                                                            };
                                                            show_subcategory_list: {
                                                                type: string;
                                                            };
                                                            num_featured_topics: {
                                                                type: string;
                                                            };
                                                            default_view: {
                                                                type: string[];
                                                            };
                                                            subcategory_list_style: {
                                                                type: string;
                                                            };
                                                            default_top_period: {
                                                                type: string;
                                                            };
                                                            default_list_filter: {
                                                                type: string;
                                                            };
                                                            minimum_required_tags: {
                                                                type: string;
                                                            };
                                                            navigate_to_first_post_after_read: {
                                                                type: string;
                                                            };
                                                            topics_day: {
                                                                type: string;
                                                            };
                                                            topics_week: {
                                                                type: string;
                                                            };
                                                            topics_month: {
                                                                type: string;
                                                            };
                                                            topics_year: {
                                                                type: string;
                                                            };
                                                            topics_all_time: {
                                                                type: string;
                                                            };
                                                            is_uncategorized: {
                                                                type: string;
                                                            };
                                                            subcategory_ids: {
                                                                type: string;
                                                                items: {};
                                                            };
                                                            subcategory_list: {
                                                                type: string[];
                                                                items: {};
                                                            };
                                                            uploaded_logo: {
                                                                type: string[];
                                                            };
                                                            uploaded_logo_dark: {
                                                                type: string[];
                                                            };
                                                            uploaded_background: {
                                                                type: string[];
                                                            };
                                                            uploaded_background_dark: {
                                                                type: string[];
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/categories/{id}.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        category: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                color: {
                                                    type: string;
                                                };
                                                text_color: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                topic_count: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                position: {
                                                    type: string;
                                                };
                                                description: {
                                                    type: string[];
                                                };
                                                description_text: {
                                                    type: string[];
                                                };
                                                description_excerpt: {
                                                    type: string[];
                                                };
                                                topic_url: {
                                                    type: string[];
                                                };
                                                read_restricted: {
                                                    type: string;
                                                };
                                                permission: {
                                                    type: string[];
                                                };
                                                notification_level: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                topic_template: {
                                                    type: string[];
                                                };
                                                form_template_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                has_children: {
                                                    type: string[];
                                                };
                                                subcategory_count: {
                                                    type: string[];
                                                };
                                                sort_order: {
                                                    type: string[];
                                                };
                                                sort_ascending: {
                                                    type: string[];
                                                };
                                                show_subcategory_list: {
                                                    type: string;
                                                };
                                                num_featured_topics: {
                                                    type: string;
                                                };
                                                default_view: {
                                                    type: string[];
                                                };
                                                subcategory_list_style: {
                                                    type: string;
                                                };
                                                default_top_period: {
                                                    type: string;
                                                };
                                                default_list_filter: {
                                                    type: string;
                                                };
                                                minimum_required_tags: {
                                                    type: string;
                                                };
                                                navigate_to_first_post_after_read: {
                                                    type: string;
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {};
                                                };
                                                allowed_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_tag_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allow_global_tags: {
                                                    type: string;
                                                };
                                                required_tag_groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            name: {
                                                                type: string;
                                                            };
                                                            min_count: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                category_setting: {
                                                    auto_bump_cooldown_days: number;
                                                    num_auto_bump_daily: null;
                                                    require_reply_approval: null;
                                                    require_topic_approval: null;
                                                };
                                                read_only_banner: {
                                                    type: string[];
                                                };
                                                available_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                auto_close_hours: {
                                                    type: string[];
                                                };
                                                auto_close_based_on_last_post: {
                                                    type: string;
                                                };
                                                allow_unlimited_owner_edits_on_first_post: {
                                                    type: string;
                                                };
                                                default_slow_mode_seconds: {
                                                    type: string[];
                                                };
                                                group_permissions: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            permission_type: {
                                                                type: string;
                                                            };
                                                            group_name: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                email_in: {
                                                    type: string[];
                                                };
                                                email_in_allow_strangers: {
                                                    type: string;
                                                };
                                                mailinglist_mirror: {
                                                    type: string;
                                                };
                                                all_topics_wiki: {
                                                    type: string;
                                                };
                                                can_delete: {
                                                    type: string;
                                                };
                                                allow_badges: {
                                                    type: string;
                                                };
                                                topic_featured_link_allowed: {
                                                    type: string;
                                                };
                                                search_priority: {
                                                    type: string;
                                                };
                                                uploaded_logo: {
                                                    type: string[];
                                                };
                                                uploaded_logo_dark: {
                                                    type: string[];
                                                };
                                                uploaded_background: {
                                                    type: string[];
                                                };
                                                uploaded_background_dark: {
                                                    type: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                    color: {
                                        type: string;
                                        example: string;
                                    };
                                    text_color: {
                                        type: string;
                                        example: string;
                                    };
                                    parent_category_id: {
                                        type: string;
                                    };
                                    allow_badges: {
                                        type: string;
                                    };
                                    slug: {
                                        type: string;
                                    };
                                    topic_featured_links_allowed: {
                                        type: string;
                                    };
                                    permissions: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            everyone: {
                                                type: string;
                                                example: number;
                                            };
                                            staff: {
                                                type: string;
                                            };
                                        };
                                    };
                                    search_priority: {
                                        type: string;
                                    };
                                    form_template_ids: {
                                        type: string;
                                        items: {};
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/c/{slug}/{id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                top_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string[];
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string[];
                                                            };
                                                            excerpt: {
                                                                type: string;
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string[];
                                                            };
                                                            liked: {
                                                                type: string[];
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string;
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    additionalProperties: boolean;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                    required: string[];
                                                                };
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/c/{id}/show.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        category: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                color: {
                                                    type: string;
                                                };
                                                text_color: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                topic_count: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                position: {
                                                    type: string;
                                                };
                                                description: {
                                                    type: string[];
                                                };
                                                description_text: {
                                                    type: string[];
                                                };
                                                description_excerpt: {
                                                    type: string[];
                                                };
                                                topic_url: {
                                                    type: string[];
                                                };
                                                read_restricted: {
                                                    type: string;
                                                };
                                                permission: {
                                                    type: string[];
                                                };
                                                notification_level: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                topic_template: {
                                                    type: string[];
                                                };
                                                form_template_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                has_children: {
                                                    type: string[];
                                                };
                                                subcategory_count: {
                                                    type: string[];
                                                };
                                                sort_order: {
                                                    type: string[];
                                                };
                                                sort_ascending: {
                                                    type: string[];
                                                };
                                                show_subcategory_list: {
                                                    type: string;
                                                };
                                                num_featured_topics: {
                                                    type: string;
                                                };
                                                default_view: {
                                                    type: string[];
                                                };
                                                subcategory_list_style: {
                                                    type: string;
                                                };
                                                default_top_period: {
                                                    type: string;
                                                };
                                                default_list_filter: {
                                                    type: string;
                                                };
                                                minimum_required_tags: {
                                                    type: string;
                                                };
                                                navigate_to_first_post_after_read: {
                                                    type: string;
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {};
                                                };
                                                allowed_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_tag_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allow_global_tags: {
                                                    type: string;
                                                };
                                                required_tag_groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            name: {
                                                                type: string;
                                                            };
                                                            min_count: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                category_setting: {
                                                    auto_bump_cooldown_days: number;
                                                    num_auto_bump_daily: null;
                                                    require_reply_approval: null;
                                                    require_topic_approval: null;
                                                };
                                                read_only_banner: {
                                                    type: string[];
                                                };
                                                available_groups: {
                                                    type: string;
                                                    items: {};
                                                };
                                                auto_close_hours: {
                                                    type: string[];
                                                };
                                                auto_close_based_on_last_post: {
                                                    type: string;
                                                };
                                                allow_unlimited_owner_edits_on_first_post: {
                                                    type: string;
                                                };
                                                default_slow_mode_seconds: {
                                                    type: string[];
                                                };
                                                group_permissions: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            permission_type: {
                                                                type: string;
                                                            };
                                                            group_name: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                email_in: {
                                                    type: string[];
                                                };
                                                email_in_allow_strangers: {
                                                    type: string;
                                                };
                                                mailinglist_mirror: {
                                                    type: string;
                                                };
                                                all_topics_wiki: {
                                                    type: string;
                                                };
                                                can_delete: {
                                                    type: string;
                                                };
                                                allow_badges: {
                                                    type: string;
                                                };
                                                topic_featured_link_allowed: {
                                                    type: string;
                                                };
                                                search_priority: {
                                                    type: string;
                                                };
                                                uploaded_logo: {
                                                    type: string[];
                                                };
                                                uploaded_logo_dark: {
                                                    type: string[];
                                                };
                                                uploaded_background: {
                                                    type: string[];
                                                };
                                                uploaded_background_dark: {
                                                    type: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/groups.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        basic_group: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                automatic: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                user_count: {
                                                    type: string;
                                                };
                                                mentionable_level: {
                                                    type: string;
                                                };
                                                messageable_level: {
                                                    type: string;
                                                };
                                                visibility_level: {
                                                    type: string;
                                                };
                                                primary_group: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string[];
                                                };
                                                grant_trust_level: {
                                                    type: string[];
                                                };
                                                incoming_email: {
                                                    type: string[];
                                                };
                                                has_messages: {
                                                    type: string;
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                bio_raw: {
                                                    type: string[];
                                                };
                                                bio_cooked: {
                                                    type: string[];
                                                };
                                                bio_excerpt: {
                                                    type: string[];
                                                };
                                                public_admission: {
                                                    type: string;
                                                };
                                                public_exit: {
                                                    type: string;
                                                };
                                                allow_membership_requests: {
                                                    type: string;
                                                };
                                                full_name: {
                                                    type: string[];
                                                };
                                                default_notification_level: {
                                                    type: string;
                                                };
                                                membership_request_template: {
                                                    type: string[];
                                                };
                                                members_visibility_level: {
                                                    type: string;
                                                };
                                                can_see_members: {
                                                    type: string;
                                                };
                                                can_admin_group: {
                                                    type: string;
                                                };
                                                can_edit_group: {
                                                    type: string;
                                                };
                                                publish_read_state: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    group: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            name: {
                                                type: string;
                                            };
                                            full_name: {
                                                type: string;
                                            };
                                            bio_raw: {
                                                type: string;
                                                description: string;
                                            };
                                            usernames: {
                                                type: string;
                                                description: string;
                                            };
                                            owner_usernames: {
                                                type: string;
                                                description: string;
                                            };
                                            automatic_membership_email_domains: {
                                                type: string;
                                                description: string;
                                            };
                                            visibility_level: {
                                                type: string;
                                            };
                                            primary_group: {
                                                type: string;
                                            };
                                            flair_icon: {
                                                type: string;
                                            };
                                            flair_upload_id: {
                                                type: string;
                                            };
                                            flair_bg_color: {
                                                type: string;
                                            };
                                            public_admission: {
                                                type: string;
                                            };
                                            public_exit: {
                                                type: string;
                                            };
                                            default_notification_level: {
                                                type: string;
                                            };
                                            muted_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            regular_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            watching_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            tracking_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            watching_first_post_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/admin/groups/{id}.json": {
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/groups/{id}.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    group: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            name: {
                                                type: string;
                                            };
                                            full_name: {
                                                type: string;
                                            };
                                            bio_raw: {
                                                type: string;
                                                description: string;
                                            };
                                            usernames: {
                                                type: string;
                                                description: string;
                                            };
                                            owner_usernames: {
                                                type: string;
                                                description: string;
                                            };
                                            automatic_membership_email_domains: {
                                                type: string;
                                                description: string;
                                            };
                                            visibility_level: {
                                                type: string;
                                            };
                                            primary_group: {
                                                type: string;
                                            };
                                            flair_icon: {
                                                type: string;
                                            };
                                            flair_upload_id: {
                                                type: string;
                                            };
                                            flair_bg_color: {
                                                type: string;
                                            };
                                            public_admission: {
                                                type: string;
                                            };
                                            public_exit: {
                                                type: string;
                                            };
                                            default_notification_level: {
                                                type: string;
                                            };
                                            muted_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            regular_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            watching_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            tracking_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                            watching_first_post_category_ids: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                };
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    example: string;
                    description: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        group: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                automatic: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                user_count: {
                                                    type: string;
                                                };
                                                mentionable_level: {
                                                    type: string;
                                                };
                                                messageable_level: {
                                                    type: string;
                                                };
                                                visibility_level: {
                                                    type: string;
                                                };
                                                primary_group: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string[];
                                                };
                                                grant_trust_level: {
                                                    type: string[];
                                                };
                                                incoming_email: {
                                                    type: string[];
                                                };
                                                has_messages: {
                                                    type: string;
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                bio_raw: {
                                                    type: string[];
                                                };
                                                bio_cooked: {
                                                    type: string[];
                                                };
                                                bio_excerpt: {
                                                    type: string[];
                                                };
                                                public_admission: {
                                                    type: string;
                                                };
                                                public_exit: {
                                                    type: string;
                                                };
                                                allow_membership_requests: {
                                                    type: string;
                                                };
                                                full_name: {
                                                    type: string[];
                                                };
                                                default_notification_level: {
                                                    type: string;
                                                };
                                                membership_request_template: {
                                                    type: string[];
                                                };
                                                is_group_user: {
                                                    type: string;
                                                };
                                                members_visibility_level: {
                                                    type: string;
                                                };
                                                can_see_members: {
                                                    type: string;
                                                };
                                                can_admin_group: {
                                                    type: string;
                                                };
                                                can_edit_group: {
                                                    type: string;
                                                };
                                                publish_read_state: {
                                                    type: string;
                                                };
                                                is_group_owner_display: {
                                                    type: string;
                                                };
                                                mentionable: {
                                                    type: string;
                                                };
                                                messageable: {
                                                    type: string;
                                                };
                                                automatic_membership_email_domains: {
                                                    type: string[];
                                                };
                                                smtp_updated_at: {
                                                    type: string[];
                                                };
                                                smtp_updated_by: {
                                                    type: string[];
                                                };
                                                smtp_enabled: {
                                                    type: string;
                                                };
                                                smtp_server: {
                                                    type: string[];
                                                };
                                                smtp_port: {
                                                    type: string[];
                                                };
                                                smtp_ssl_mode: {
                                                    type: string[];
                                                };
                                                imap_enabled: {
                                                    type: string;
                                                };
                                                imap_updated_at: {
                                                    type: string[];
                                                };
                                                imap_updated_by: {
                                                    type: string[];
                                                };
                                                imap_server: {
                                                    type: string[];
                                                };
                                                imap_port: {
                                                    type: string[];
                                                };
                                                imap_ssl: {
                                                    type: string[];
                                                };
                                                imap_mailbox_name: {
                                                    type: string;
                                                };
                                                imap_mailboxes: {
                                                    type: string;
                                                    items: {};
                                                };
                                                email_username: {
                                                    type: string[];
                                                };
                                                email_from_alias: {
                                                    type: string[];
                                                };
                                                email_password: {
                                                    type: string[];
                                                };
                                                imap_last_error: {
                                                    type: string[];
                                                };
                                                imap_old_emails: {
                                                    type: string[];
                                                };
                                                imap_new_emails: {
                                                    type: string[];
                                                };
                                                message_count: {
                                                    type: string;
                                                };
                                                allow_unknown_sender_topic_replies: {
                                                    type: string;
                                                };
                                                associated_group_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracking_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_first_post_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                regular_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                muted_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_first_post_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracking_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                regular_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                muted_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                        extras: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                visible_group_names: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/groups/{id}/members.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    example: string;
                    description: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        members: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string[];
                                                    };
                                                    last_posted_at: {
                                                        type: string;
                                                    };
                                                    last_seen_at: {
                                                        type: string;
                                                    };
                                                    added_at: {
                                                        type: string;
                                                    };
                                                    timezone: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        owners: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string[];
                                                    };
                                                    last_posted_at: {
                                                        type: string;
                                                    };
                                                    last_seen_at: {
                                                        type: string;
                                                    };
                                                    added_at: {
                                                        type: string;
                                                    };
                                                    timezone: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        meta: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                total: {
                                                    type: string;
                                                };
                                                limit: {
                                                    type: string;
                                                };
                                                offset: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        usernames: {
                                            type: string;
                                            items: {};
                                        };
                                        emails: {
                                            type: string;
                                            items: {};
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    usernames: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        usernames: {
                                            type: string;
                                            items: {};
                                        };
                                        skipped_usernames: {
                                            type: string;
                                            items: {};
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    usernames: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/groups.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        groups: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    automatic: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    display_name: {
                                                        type: string;
                                                    };
                                                    user_count: {
                                                        type: string;
                                                    };
                                                    mentionable_level: {
                                                        type: string;
                                                    };
                                                    messageable_level: {
                                                        type: string;
                                                    };
                                                    visibility_level: {
                                                        type: string;
                                                    };
                                                    primary_group: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string[];
                                                    };
                                                    grant_trust_level: {
                                                        type: string[];
                                                    };
                                                    incoming_email: {
                                                        type: string[];
                                                    };
                                                    has_messages: {
                                                        type: string;
                                                    };
                                                    flair_url: {
                                                        type: string[];
                                                    };
                                                    flair_bg_color: {
                                                        type: string[];
                                                    };
                                                    flair_color: {
                                                        type: string[];
                                                    };
                                                    bio_raw: {
                                                        type: string[];
                                                    };
                                                    bio_cooked: {
                                                        type: string[];
                                                    };
                                                    bio_excerpt: {
                                                        type: string[];
                                                    };
                                                    public_admission: {
                                                        type: string;
                                                    };
                                                    public_exit: {
                                                        type: string;
                                                    };
                                                    allow_membership_requests: {
                                                        type: string;
                                                    };
                                                    full_name: {
                                                        type: string[];
                                                    };
                                                    default_notification_level: {
                                                        type: string;
                                                    };
                                                    membership_request_template: {
                                                        type: string[];
                                                    };
                                                    is_group_user: {
                                                        type: string;
                                                    };
                                                    is_group_owner: {
                                                        type: string;
                                                    };
                                                    members_visibility_level: {
                                                        type: string;
                                                    };
                                                    can_see_members: {
                                                        type: string;
                                                    };
                                                    can_admin_group: {
                                                        type: string;
                                                    };
                                                    can_edit_group: {
                                                        type: string;
                                                    };
                                                    publish_read_state: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        extras: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                type_filters: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                        total_rows_groups: {
                                            type: string;
                                        };
                                        load_more_groups: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/invites.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        id: {
                                            type: string;
                                            example: number;
                                        };
                                        link: {
                                            type: string;
                                            example: string;
                                        };
                                        email: {
                                            type: string;
                                            example: string;
                                        };
                                        emailed: {
                                            type: string;
                                            example: boolean;
                                        };
                                        custom_message: {
                                            type: string[];
                                            example: string;
                                        };
                                        topics: {
                                            type: string;
                                            items: {};
                                            example: never[];
                                        };
                                        groups: {
                                            type: string;
                                            items: {};
                                            example: never[];
                                        };
                                        created_at: {
                                            type: string;
                                            example: string;
                                        };
                                        updated_at: {
                                            type: string;
                                            example: string;
                                        };
                                        expires_at: {
                                            type: string;
                                            example: string;
                                        };
                                        expired: {
                                            type: string;
                                            example: boolean;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    email: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                    skip_email: {
                                        type: string;
                                        default: boolean;
                                    };
                                    custom_message: {
                                        type: string;
                                        description: string;
                                    };
                                    max_redemptions_allowed: {
                                        type: string;
                                        example: number;
                                        default: number;
                                        description: string;
                                    };
                                    topic_id: {
                                        type: string;
                                    };
                                    group_ids: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    group_names: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    expires_at: {
                                        type: string;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/invites/create-multiple.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        num_successfully_created_invitations: {
                                            type: string;
                                            example: number;
                                        };
                                        num_failed_invitations: {
                                            type: string;
                                            example: number;
                                        };
                                        failed_invitations: {
                                            type: string;
                                            items: {};
                                            example: never[];
                                        };
                                        successful_invitations: {
                                            type: string;
                                            example: {
                                                id: number;
                                                link: string;
                                                email: string;
                                                emailed: boolean;
                                                custom_message: string;
                                                topics: never[];
                                                groups: never[];
                                                created_at: string;
                                                updated_at: string;
                                                expires_at: string;
                                                expired: boolean;
                                            }[];
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    email: {
                                        type: string;
                                        example: string[];
                                        description: string;
                                    };
                                    skip_email: {
                                        type: string;
                                        default: boolean;
                                    };
                                    custom_message: {
                                        type: string;
                                        description: string;
                                    };
                                    max_redemptions_allowed: {
                                        type: string;
                                        example: number;
                                        default: number;
                                        description: string;
                                    };
                                    topic_id: {
                                        type: string;
                                    };
                                    group_ids: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    group_names: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    expires_at: {
                                        type: string;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/notifications.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        notifications: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    user_id: {
                                                        type: string;
                                                    };
                                                    notification_type: {
                                                        type: string;
                                                    };
                                                    read: {
                                                        type: string;
                                                    };
                                                    created_at: {
                                                        type: string;
                                                    };
                                                    post_number: {
                                                        type: string[];
                                                    };
                                                    topic_id: {
                                                        type: string[];
                                                    };
                                                    slug: {
                                                        type: string[];
                                                    };
                                                    data: {
                                                        type: string;
                                                        properties: {
                                                            badge_id: {
                                                                type: string;
                                                            };
                                                            badge_name: {
                                                                type: string;
                                                            };
                                                            badge_slug: {
                                                                type: string;
                                                            };
                                                            badge_title: {
                                                                type: string;
                                                            };
                                                            username: {
                                                                type: string;
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                        total_rows_notifications: {
                                            type: string;
                                        };
                                        seen_notification_id: {
                                            type: string;
                                        };
                                        load_more_notifications: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/notifications/mark-read.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    id: {
                                        type: string;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/posts.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    description: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        latest_posts: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                    created_at: {
                                                        type: string;
                                                    };
                                                    cooked: {
                                                        type: string;
                                                    };
                                                    post_number: {
                                                        type: string;
                                                    };
                                                    post_type: {
                                                        type: string;
                                                    };
                                                    updated_at: {
                                                        type: string;
                                                    };
                                                    reply_count: {
                                                        type: string;
                                                    };
                                                    reply_to_post_number: {
                                                        type: string[];
                                                    };
                                                    quote_count: {
                                                        type: string;
                                                    };
                                                    incoming_link_count: {
                                                        type: string;
                                                    };
                                                    reads: {
                                                        type: string;
                                                    };
                                                    readers_count: {
                                                        type: string;
                                                    };
                                                    score: {
                                                        type: string;
                                                    };
                                                    yours: {
                                                        type: string;
                                                    };
                                                    topic_id: {
                                                        type: string;
                                                    };
                                                    topic_slug: {
                                                        type: string;
                                                    };
                                                    topic_title: {
                                                        type: string;
                                                    };
                                                    topic_html_title: {
                                                        type: string;
                                                    };
                                                    category_id: {
                                                        type: string;
                                                    };
                                                    display_username: {
                                                        type: string;
                                                    };
                                                    primary_group_name: {
                                                        type: string[];
                                                    };
                                                    flair_name: {
                                                        type: string[];
                                                    };
                                                    flair_url: {
                                                        type: string[];
                                                    };
                                                    flair_bg_color: {
                                                        type: string[];
                                                    };
                                                    flair_color: {
                                                        type: string[];
                                                    };
                                                    flair_group_id: {
                                                        type: string[];
                                                    };
                                                    version: {
                                                        type: string;
                                                    };
                                                    can_edit: {
                                                        type: string;
                                                    };
                                                    can_delete: {
                                                        type: string;
                                                    };
                                                    can_recover: {
                                                        type: string;
                                                    };
                                                    can_see_hidden_post: {
                                                        type: string;
                                                    };
                                                    can_wiki: {
                                                        type: string;
                                                    };
                                                    user_title: {
                                                        type: string[];
                                                    };
                                                    raw: {
                                                        type: string;
                                                    };
                                                    actions_summary: {
                                                        type: string;
                                                        items: {
                                                            type: string;
                                                            properties: {
                                                                id: {
                                                                    type: string;
                                                                };
                                                                can_act: {
                                                                    type: string;
                                                                };
                                                            };
                                                        };
                                                    };
                                                    moderator: {
                                                        type: string;
                                                    };
                                                    admin: {
                                                        type: string;
                                                    };
                                                    staff: {
                                                        type: string;
                                                    };
                                                    user_id: {
                                                        type: string;
                                                    };
                                                    hidden: {
                                                        type: string;
                                                    };
                                                    trust_level: {
                                                        type: string;
                                                    };
                                                    deleted_at: {
                                                        type: string[];
                                                    };
                                                    user_deleted: {
                                                        type: string;
                                                    };
                                                    edit_reason: {
                                                        type: string[];
                                                    };
                                                    can_view_edit_history: {
                                                        type: string;
                                                    };
                                                    wiki: {
                                                        type: string;
                                                    };
                                                    reviewable_id: {
                                                        type: string[];
                                                    };
                                                    reviewable_score_count: {
                                                        type: string;
                                                    };
                                                    reviewable_score_pending_count: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        name: {
                                            type: string[];
                                        };
                                        username: {
                                            type: string;
                                        };
                                        avatar_template: {
                                            type: string;
                                        };
                                        created_at: {
                                            type: string;
                                        };
                                        raw: {
                                            type: string;
                                        };
                                        cooked: {
                                            type: string;
                                        };
                                        post_number: {
                                            type: string;
                                        };
                                        post_type: {
                                            type: string;
                                        };
                                        posts_count: {
                                            type: string;
                                        };
                                        updated_at: {
                                            type: string;
                                        };
                                        reply_count: {
                                            type: string;
                                        };
                                        reply_to_post_number: {
                                            type: string[];
                                        };
                                        quote_count: {
                                            type: string;
                                        };
                                        incoming_link_count: {
                                            type: string;
                                        };
                                        reads: {
                                            type: string;
                                        };
                                        readers_count: {
                                            type: string;
                                        };
                                        score: {
                                            type: string;
                                        };
                                        yours: {
                                            type: string;
                                        };
                                        topic_id: {
                                            type: string;
                                        };
                                        topic_slug: {
                                            type: string;
                                        };
                                        display_username: {
                                            type: string[];
                                        };
                                        primary_group_name: {
                                            type: string[];
                                        };
                                        flair_name: {
                                            type: string[];
                                        };
                                        flair_url: {
                                            type: string[];
                                        };
                                        flair_bg_color: {
                                            type: string[];
                                        };
                                        flair_color: {
                                            type: string[];
                                        };
                                        flair_group_id: {
                                            type: string[];
                                        };
                                        badges_granted: {
                                            type: string;
                                            items: {};
                                        };
                                        version: {
                                            type: string;
                                        };
                                        can_edit: {
                                            type: string;
                                        };
                                        can_delete: {
                                            type: string;
                                        };
                                        can_recover: {
                                            type: string;
                                        };
                                        can_see_hidden_post: {
                                            type: string;
                                        };
                                        can_wiki: {
                                            type: string;
                                        };
                                        user_title: {
                                            type: string[];
                                        };
                                        bookmarked: {
                                            type: string;
                                        };
                                        actions_summary: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    can_act: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        moderator: {
                                            type: string;
                                        };
                                        admin: {
                                            type: string;
                                        };
                                        staff: {
                                            type: string;
                                        };
                                        user_id: {
                                            type: string;
                                        };
                                        draft_sequence: {
                                            type: string;
                                        };
                                        hidden: {
                                            type: string;
                                        };
                                        trust_level: {
                                            type: string;
                                        };
                                        deleted_at: {
                                            type: string[];
                                        };
                                        user_deleted: {
                                            type: string;
                                        };
                                        edit_reason: {
                                            type: string[];
                                        };
                                        can_view_edit_history: {
                                            type: string;
                                        };
                                        wiki: {
                                            type: string;
                                        };
                                        reviewable_id: {
                                            type: string[];
                                        };
                                        reviewable_score_count: {
                                            type: string;
                                        };
                                        reviewable_score_pending_count: {
                                            type: string;
                                        };
                                        post_url: {
                                            type: string;
                                        };
                                        mentioned_users: {
                                            type: string;
                                            items: {};
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    title: {
                                        type: string;
                                        description: string;
                                    };
                                    raw: {
                                        type: string;
                                    };
                                    topic_id: {
                                        type: string;
                                        description: string;
                                    };
                                    category: {
                                        type: string;
                                        description: string;
                                    };
                                    target_recipients: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    target_usernames: {
                                        type: string;
                                        description: string;
                                        deprecated: boolean;
                                    };
                                    archetype: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                    created_at: {
                                        type: string;
                                    };
                                    reply_to_post_number: {
                                        type: string;
                                        description: string;
                                    };
                                    embed_url: {
                                        type: string;
                                        description: string;
                                    };
                                    external_id: {
                                        type: string;
                                        description: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/posts/{id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        username: {
                                            type: string;
                                        };
                                        avatar_template: {
                                            type: string;
                                        };
                                        created_at: {
                                            type: string;
                                        };
                                        cooked: {
                                            type: string;
                                        };
                                        post_number: {
                                            type: string;
                                        };
                                        post_type: {
                                            type: string;
                                        };
                                        posts_count: {
                                            type: string;
                                        };
                                        updated_at: {
                                            type: string;
                                        };
                                        reply_count: {
                                            type: string;
                                        };
                                        reply_to_post_number: {
                                            type: string[];
                                        };
                                        quote_count: {
                                            type: string;
                                        };
                                        incoming_link_count: {
                                            type: string;
                                        };
                                        reads: {
                                            type: string;
                                        };
                                        readers_count: {
                                            type: string;
                                        };
                                        score: {
                                            type: string;
                                        };
                                        yours: {
                                            type: string;
                                        };
                                        topic_id: {
                                            type: string;
                                        };
                                        topic_slug: {
                                            type: string;
                                        };
                                        primary_group_name: {
                                            type: string[];
                                        };
                                        flair_name: {
                                            type: string[];
                                        };
                                        flair_url: {
                                            type: string[];
                                        };
                                        flair_bg_color: {
                                            type: string[];
                                        };
                                        flair_color: {
                                            type: string[];
                                        };
                                        flair_group_id: {
                                            type: string[];
                                        };
                                        version: {
                                            type: string;
                                        };
                                        can_edit: {
                                            type: string;
                                        };
                                        can_delete: {
                                            type: string;
                                        };
                                        can_recover: {
                                            type: string;
                                        };
                                        can_see_hidden_post: {
                                            type: string;
                                        };
                                        can_wiki: {
                                            type: string;
                                        };
                                        user_title: {
                                            type: string[];
                                        };
                                        bookmarked: {
                                            type: string;
                                        };
                                        raw: {
                                            type: string;
                                        };
                                        actions_summary: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                        description: string;
                                                    };
                                                    count: {
                                                        type: string;
                                                    };
                                                    acted: {
                                                        type: string;
                                                    };
                                                    can_undo: {
                                                        type: string;
                                                    };
                                                    can_act: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        moderator: {
                                            type: string;
                                        };
                                        admin: {
                                            type: string;
                                        };
                                        staff: {
                                            type: string;
                                        };
                                        user_id: {
                                            type: string;
                                        };
                                        hidden: {
                                            type: string;
                                        };
                                        trust_level: {
                                            type: string;
                                        };
                                        deleted_at: {
                                            type: string[];
                                        };
                                        user_deleted: {
                                            type: string;
                                        };
                                        edit_reason: {
                                            type: string[];
                                        };
                                        can_view_edit_history: {
                                            type: string;
                                        };
                                        wiki: {
                                            type: string;
                                        };
                                        reviewable_id: {
                                            type: string[];
                                        };
                                        reviewable_score_count: {
                                            type: string;
                                        };
                                        reviewable_score_pending_count: {
                                            type: string;
                                        };
                                        post_url: {
                                            type: string;
                                        };
                                        mentioned_users: {
                                            type: string;
                                            items: {};
                                        };
                                        name: {
                                            type: string[];
                                        };
                                        display_username: {
                                            type: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        post: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                                created_at: {
                                                    type: string;
                                                };
                                                cooked: {
                                                    type: string;
                                                };
                                                post_number: {
                                                    type: string;
                                                };
                                                post_type: {
                                                    type: string;
                                                };
                                                posts_count: {
                                                    type: string;
                                                };
                                                updated_at: {
                                                    type: string;
                                                };
                                                reply_count: {
                                                    type: string;
                                                };
                                                reply_to_post_number: {
                                                    type: string[];
                                                };
                                                quote_count: {
                                                    type: string;
                                                };
                                                incoming_link_count: {
                                                    type: string;
                                                };
                                                reads: {
                                                    type: string;
                                                };
                                                readers_count: {
                                                    type: string;
                                                };
                                                score: {
                                                    type: string;
                                                };
                                                yours: {
                                                    type: string;
                                                };
                                                topic_id: {
                                                    type: string;
                                                };
                                                topic_slug: {
                                                    type: string;
                                                };
                                                primary_group_name: {
                                                    type: string[];
                                                };
                                                flair_name: {
                                                    type: string[];
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                flair_group_id: {
                                                    type: string[];
                                                };
                                                badges_granted: {
                                                    type: string;
                                                    items: {};
                                                };
                                                version: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                can_delete: {
                                                    type: string;
                                                };
                                                can_recover: {
                                                    type: string;
                                                };
                                                can_see_hidden_post: {
                                                    type: string;
                                                };
                                                can_wiki: {
                                                    type: string;
                                                };
                                                user_title: {
                                                    type: string[];
                                                };
                                                bookmarked: {
                                                    type: string;
                                                };
                                                raw: {
                                                    type: string;
                                                };
                                                actions_summary: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            can_act: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                moderator: {
                                                    type: string;
                                                };
                                                admin: {
                                                    type: string;
                                                };
                                                staff: {
                                                    type: string;
                                                };
                                                user_id: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                hidden: {
                                                    type: string;
                                                };
                                                trust_level: {
                                                    type: string;
                                                };
                                                deleted_at: {
                                                    type: string[];
                                                };
                                                user_deleted: {
                                                    type: string;
                                                };
                                                edit_reason: {
                                                    type: string[];
                                                };
                                                can_view_edit_history: {
                                                    type: string;
                                                };
                                                wiki: {
                                                    type: string;
                                                };
                                                reviewable_id: {
                                                    type: string[];
                                                };
                                                reviewable_score_count: {
                                                    type: string;
                                                };
                                                reviewable_score_pending_count: {
                                                    type: string;
                                                };
                                                post_url: {
                                                    type: string;
                                                };
                                                mentioned_users: {
                                                    type: string;
                                                    items: {};
                                                };
                                                name: {
                                                    type: string[];
                                                };
                                                display_username: {
                                                    type: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    post: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            raw: {
                                                type: string;
                                            };
                                            edit_reason: {
                                                type: string;
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                            };
                        };
                    };
                };
            };
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    force_destroy: {
                                        type: string;
                                        example: boolean;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/posts/{id}/replies.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    minItems: number;
                                    uniqueItems: boolean;
                                    items: {
                                        type: string;
                                        properties: {
                                            id: {
                                                type: string;
                                            };
                                            name: {
                                                type: string[];
                                            };
                                            username: {
                                                type: string;
                                            };
                                            avatar_template: {
                                                type: string;
                                            };
                                            created_at: {
                                                type: string;
                                            };
                                            cooked: {
                                                type: string;
                                            };
                                            post_number: {
                                                type: string;
                                            };
                                            post_type: {
                                                type: string;
                                            };
                                            posts_count: {
                                                type: string;
                                            };
                                            updated_at: {
                                                type: string;
                                            };
                                            reply_count: {
                                                type: string;
                                            };
                                            reply_to_post_number: {
                                                type: string;
                                            };
                                            quote_count: {
                                                type: string;
                                            };
                                            incoming_link_count: {
                                                type: string;
                                            };
                                            reads: {
                                                type: string;
                                            };
                                            readers_count: {
                                                type: string;
                                            };
                                            score: {
                                                type: string;
                                            };
                                            yours: {
                                                type: string;
                                            };
                                            topic_id: {
                                                type: string;
                                            };
                                            topic_slug: {
                                                type: string;
                                            };
                                            display_username: {
                                                type: string[];
                                            };
                                            primary_group_name: {
                                                type: string[];
                                            };
                                            flair_name: {
                                                type: string[];
                                            };
                                            flair_url: {
                                                type: string[];
                                            };
                                            flair_bg_color: {
                                                type: string[];
                                            };
                                            flair_color: {
                                                type: string[];
                                            };
                                            flair_group_id: {
                                                type: string[];
                                            };
                                            version: {
                                                type: string;
                                            };
                                            can_edit: {
                                                type: string;
                                            };
                                            can_delete: {
                                                type: string;
                                            };
                                            can_recover: {
                                                type: string;
                                            };
                                            can_see_hidden_post: {
                                                type: string;
                                            };
                                            can_wiki: {
                                                type: string;
                                            };
                                            user_title: {
                                                type: string[];
                                            };
                                            reply_to_user: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                            bookmarked: {
                                                type: string;
                                            };
                                            actions_summary: {
                                                type: string;
                                                items: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        id: {
                                                            type: string;
                                                        };
                                                        can_act: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            moderator: {
                                                type: string;
                                            };
                                            admin: {
                                                type: string;
                                            };
                                            staff: {
                                                type: string;
                                            };
                                            user_id: {
                                                type: string;
                                            };
                                            hidden: {
                                                type: string;
                                            };
                                            trust_level: {
                                                type: string;
                                            };
                                            deleted_at: {
                                                type: string[];
                                            };
                                            user_deleted: {
                                                type: string;
                                            };
                                            edit_reason: {
                                                type: string[];
                                            };
                                            can_view_edit_history: {
                                                type: string;
                                            };
                                            wiki: {
                                                type: string;
                                            };
                                            reviewable_id: {
                                                type: string[];
                                            };
                                            reviewable_score_count: {
                                                type: string;
                                            };
                                            reviewable_score_pending_count: {
                                                type: string;
                                            };
                                            post_url: {
                                                type: string;
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/posts/{id}/locked.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        locked: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    locked: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/post_actions.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        name: {
                                            type: string;
                                        };
                                        username: {
                                            type: string;
                                        };
                                        avatar_template: {
                                            type: string;
                                        };
                                        created_at: {
                                            type: string;
                                        };
                                        cooked: {
                                            type: string;
                                        };
                                        post_number: {
                                            type: string;
                                        };
                                        post_type: {
                                            type: string;
                                        };
                                        updated_at: {
                                            type: string;
                                        };
                                        reply_count: {
                                            type: string;
                                        };
                                        reply_to_post_number: {
                                            type: string[];
                                        };
                                        quote_count: {
                                            type: string;
                                        };
                                        incoming_link_count: {
                                            type: string;
                                        };
                                        reads: {
                                            type: string;
                                        };
                                        readers_count: {
                                            type: string;
                                        };
                                        score: {
                                            type: string;
                                        };
                                        yours: {
                                            type: string;
                                        };
                                        topic_id: {
                                            type: string;
                                        };
                                        topic_slug: {
                                            type: string;
                                        };
                                        display_username: {
                                            type: string;
                                        };
                                        primary_group_name: {
                                            type: string[];
                                        };
                                        flair_name: {
                                            type: string[];
                                        };
                                        flair_url: {
                                            type: string[];
                                        };
                                        flair_bg_color: {
                                            type: string[];
                                        };
                                        flair_color: {
                                            type: string[];
                                        };
                                        version: {
                                            type: string;
                                        };
                                        can_edit: {
                                            type: string;
                                        };
                                        can_delete: {
                                            type: string;
                                        };
                                        can_recover: {
                                            type: string;
                                        };
                                        can_wiki: {
                                            type: string;
                                        };
                                        user_title: {
                                            type: string[];
                                        };
                                        actions_summary: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    count: {
                                                        type: string;
                                                    };
                                                    acted: {
                                                        type: string;
                                                    };
                                                    can_undo: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        moderator: {
                                            type: string;
                                        };
                                        admin: {
                                            type: string;
                                        };
                                        staff: {
                                            type: string;
                                        };
                                        user_id: {
                                            type: string;
                                        };
                                        hidden: {
                                            type: string;
                                        };
                                        trust_level: {
                                            type: string;
                                        };
                                        deleted_at: {
                                            type: string[];
                                        };
                                        user_deleted: {
                                            type: string;
                                        };
                                        edit_reason: {
                                            type: string[];
                                        };
                                        can_view_edit_history: {
                                            type: string;
                                        };
                                        wiki: {
                                            type: string;
                                        };
                                        notice: {
                                            type: string;
                                        };
                                        notice_created_by_user: {
                                            type: string[];
                                        };
                                        reviewable_id: {
                                            type: string[];
                                        };
                                        reviewable_score_count: {
                                            type: string;
                                        };
                                        reviewable_score_pending_count: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    id: {
                                        type: string;
                                    };
                                    post_action_type_id: {
                                        type: string;
                                    };
                                    flag_topic: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/topics/private-messages/{username}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                draft: {
                                                    type: string[];
                                                };
                                                draft_key: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string[];
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            last_read_post_number: {
                                                                type: string;
                                                            };
                                                            unread_posts: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string[];
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            liked: {
                                                                type: string;
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string[];
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            allowed_user_count: {
                                                                type: string;
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                            participants: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string[];
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/topics/private-messages-sent/{username}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                draft: {
                                                    type: string[];
                                                };
                                                draft_key: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string[];
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            last_read_post_number: {
                                                                type: string;
                                                            };
                                                            unread_posts: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string[];
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            liked: {
                                                                type: string;
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string[];
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            allowed_user_count: {
                                                                type: string;
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                            participants: {
                                                                type: string;
                                                                items: {};
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/search.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    example: string;
                    description: string;
                    schema: {
                        type: string;
                    };
                } | {
                    name: string;
                    in: string;
                    example: number;
                    schema: {
                        type: string;
                    };
                    description?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        posts: {
                                            type: string;
                                            items: {};
                                        };
                                        users: {
                                            type: string;
                                            items: {};
                                        };
                                        categories: {
                                            type: string;
                                            items: {};
                                        };
                                        tags: {
                                            type: string;
                                            items: {};
                                        };
                                        groups: {
                                            type: string;
                                            items: {};
                                        };
                                        grouped_search_result: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                more_posts: {
                                                    type: string[];
                                                };
                                                more_users: {
                                                    type: string[];
                                                };
                                                more_categories: {
                                                    type: string[];
                                                };
                                                term: {
                                                    type: string;
                                                };
                                                search_log_id: {
                                                    type: string;
                                                };
                                                more_full_page_results: {
                                                    type: string[];
                                                };
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                error: {
                                                    type: string[];
                                                };
                                                extra: {
                                                    type: string;
                                                    properties: {
                                                        categories: {
                                                            type: string[];
                                                        };
                                                    };
                                                };
                                                post_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                user_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tag_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                group_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/site.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        default_archetype: {
                                            type: string;
                                        };
                                        notification_types: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                mentioned: {
                                                    type: string;
                                                };
                                                replied: {
                                                    type: string;
                                                };
                                                quoted: {
                                                    type: string;
                                                };
                                                edited: {
                                                    type: string;
                                                };
                                                liked: {
                                                    type: string;
                                                };
                                                private_message: {
                                                    type: string;
                                                };
                                                invited_to_private_message: {
                                                    type: string;
                                                };
                                                invitee_accepted: {
                                                    type: string;
                                                };
                                                posted: {
                                                    type: string;
                                                };
                                                watching_category_or_tag: {
                                                    type: string;
                                                };
                                                new_features: {
                                                    type: string;
                                                };
                                                admin_problems: {
                                                    type: string;
                                                };
                                                moved_post: {
                                                    type: string;
                                                };
                                                linked: {
                                                    type: string;
                                                };
                                                granted_badge: {
                                                    type: string;
                                                };
                                                invited_to_topic: {
                                                    type: string;
                                                };
                                                custom: {
                                                    type: string;
                                                };
                                                group_mentioned: {
                                                    type: string;
                                                };
                                                group_message_summary: {
                                                    type: string;
                                                };
                                                watching_first_post: {
                                                    type: string;
                                                };
                                                topic_reminder: {
                                                    type: string;
                                                };
                                                liked_consolidated: {
                                                    type: string;
                                                };
                                                linked_consolidated: {
                                                    type: string;
                                                };
                                                post_approved: {
                                                    type: string;
                                                };
                                                code_review_commit_approved: {
                                                    type: string;
                                                };
                                                membership_request_accepted: {
                                                    type: string;
                                                };
                                                membership_request_consolidated: {
                                                    type: string;
                                                };
                                                bookmark_reminder: {
                                                    type: string;
                                                };
                                                reaction: {
                                                    type: string;
                                                };
                                                votes_released: {
                                                    type: string;
                                                };
                                                event_reminder: {
                                                    type: string;
                                                };
                                                event_invitation: {
                                                    type: string;
                                                };
                                                chat_mention: {
                                                    type: string;
                                                };
                                                chat_message: {
                                                    type: string;
                                                };
                                                chat_invitation: {
                                                    type: string;
                                                };
                                                chat_group_mention: {
                                                    type: string;
                                                };
                                                chat_quoted: {
                                                    type: string;
                                                };
                                                chat_watched_thread: {
                                                    type: string;
                                                };
                                                assigned: {
                                                    type: string;
                                                };
                                                question_answer_user_commented: {
                                                    type: string;
                                                };
                                                following: {
                                                    type: string;
                                                };
                                                following_created_topic: {
                                                    type: string;
                                                };
                                                following_replied: {
                                                    type: string;
                                                };
                                                circles_activity: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        post_types: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                regular: {
                                                    type: string;
                                                };
                                                moderator_action: {
                                                    type: string;
                                                };
                                                small_action: {
                                                    type: string;
                                                };
                                                whisper: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        trust_levels: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                newuser: {
                                                    type: string;
                                                };
                                                basic: {
                                                    type: string;
                                                };
                                                member: {
                                                    type: string;
                                                };
                                                regular: {
                                                    type: string;
                                                };
                                                leader: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        user_tips: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                first_notification: {
                                                    type: string;
                                                };
                                                topic_timeline: {
                                                    type: string;
                                                };
                                                post_menu: {
                                                    type: string;
                                                };
                                                topic_notification_levels: {
                                                    type: string;
                                                };
                                                suggested_topics: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        groups: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    flair_url: {
                                                        type: string[];
                                                    };
                                                    flair_bg_color: {
                                                        type: string[];
                                                    };
                                                    flair_color: {
                                                        type: string[];
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        filters: {
                                            type: string;
                                            items: {};
                                        };
                                        periods: {
                                            type: string;
                                            items: {};
                                        };
                                        top_menu_items: {
                                            type: string;
                                            items: {};
                                        };
                                        anonymous_top_menu_items: {
                                            type: string;
                                            items: {};
                                        };
                                        uncategorized_category_id: {
                                            type: string;
                                        };
                                        user_field_max_length: {
                                            type: string;
                                        };
                                        post_action_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string[];
                                                    };
                                                    name_key: {
                                                        type: string[];
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string;
                                                    };
                                                    short_description: {
                                                        type: string;
                                                    };
                                                    is_flag: {
                                                        type: string;
                                                    };
                                                    require_message: {
                                                        type: string;
                                                    };
                                                    enabled: {
                                                        type: string;
                                                    };
                                                    applies_to: {
                                                        type: string;
                                                    };
                                                    is_used: {
                                                        type: string;
                                                    };
                                                    position: {
                                                        type: string;
                                                    };
                                                    auto_action_type: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        topic_flag_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string[];
                                                    };
                                                    name_key: {
                                                        type: string[];
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string;
                                                    };
                                                    short_description: {
                                                        type: string;
                                                    };
                                                    is_flag: {
                                                        type: string;
                                                    };
                                                    require_message: {
                                                        type: string;
                                                    };
                                                    enabled: {
                                                        type: string;
                                                    };
                                                    applies_to: {
                                                        type: string;
                                                    };
                                                    is_used: {
                                                        type: string;
                                                    };
                                                    position: {
                                                        type: string;
                                                    };
                                                    auto_action_type: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        can_create_tag: {
                                            type: string;
                                        };
                                        can_tag_topics: {
                                            type: string;
                                        };
                                        can_tag_pms: {
                                            type: string;
                                        };
                                        tags_filter_regexp: {
                                            type: string;
                                        };
                                        top_tags: {
                                            type: string;
                                            items: {};
                                        };
                                        wizard_required: {
                                            type: string;
                                        };
                                        can_associate_groups: {
                                            type: string;
                                        };
                                        topic_featured_link_allowed_category_ids: {
                                            type: string;
                                            items: {};
                                        };
                                        user_themes: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    theme_id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    default: {
                                                        type: string;
                                                    };
                                                    color_scheme_id: {
                                                        type: string[];
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        user_color_schemes: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    is_dark: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        default_dark_color_scheme: {
                                            type: string[];
                                        };
                                        censored_regexp: {
                                            type: string;
                                            items: {
                                                type: string;
                                            };
                                        };
                                        custom_emoji_translation: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {};
                                        };
                                        watched_words_replace: {
                                            type: string[];
                                        };
                                        watched_words_link: {
                                            type: string[];
                                        };
                                        markdown_additional_options: {
                                            type: string;
                                        };
                                        hashtag_configurations: {
                                            type: string;
                                        };
                                        hashtag_icons: {
                                            type: string;
                                        };
                                        displayed_about_plugin_stat_groups: {
                                            type: string;
                                        };
                                        categories: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    color: {
                                                        type: string;
                                                    };
                                                    text_color: {
                                                        type: string;
                                                    };
                                                    slug: {
                                                        type: string;
                                                    };
                                                    topic_count: {
                                                        type: string;
                                                    };
                                                    post_count: {
                                                        type: string;
                                                    };
                                                    position: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string[];
                                                    };
                                                    description_text: {
                                                        type: string[];
                                                    };
                                                    description_excerpt: {
                                                        type: string[];
                                                    };
                                                    topic_url: {
                                                        type: string;
                                                    };
                                                    read_restricted: {
                                                        type: string;
                                                    };
                                                    permission: {
                                                        type: string;
                                                    };
                                                    notification_level: {
                                                        type: string;
                                                    };
                                                    topic_template: {
                                                        type: string[];
                                                    };
                                                    has_children: {
                                                        type: string;
                                                    };
                                                    subcategory_count: {
                                                        type: string[];
                                                    };
                                                    sort_order: {
                                                        type: string[];
                                                    };
                                                    sort_ascending: {
                                                        type: string[];
                                                    };
                                                    show_subcategory_list: {
                                                        type: string;
                                                    };
                                                    num_featured_topics: {
                                                        type: string;
                                                    };
                                                    default_view: {
                                                        type: string[];
                                                    };
                                                    subcategory_list_style: {
                                                        type: string;
                                                    };
                                                    default_top_period: {
                                                        type: string;
                                                    };
                                                    default_list_filter: {
                                                        type: string;
                                                    };
                                                    minimum_required_tags: {
                                                        type: string;
                                                    };
                                                    navigate_to_first_post_after_read: {
                                                        type: string;
                                                    };
                                                    allowed_tags: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                    allowed_tag_groups: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                    allow_global_tags: {
                                                        type: string;
                                                    };
                                                    required_tag_groups: {
                                                        type: string;
                                                        items: {
                                                            type: string;
                                                            additionalProperties: boolean;
                                                            properties: {
                                                                name: {
                                                                    type: string;
                                                                };
                                                                min_count: {
                                                                    type: string;
                                                                };
                                                            };
                                                            required: string[];
                                                        };
                                                    };
                                                    read_only_banner: {
                                                        type: string[];
                                                    };
                                                    uploaded_logo: {
                                                        type: string[];
                                                    };
                                                    uploaded_logo_dark: {
                                                        type: string[];
                                                    };
                                                    uploaded_background: {
                                                        type: string[];
                                                    };
                                                    uploaded_background_dark: {
                                                        type: string[];
                                                    };
                                                    can_edit: {
                                                        type: string;
                                                    };
                                                    custom_fields: {
                                                        type: string[];
                                                        additionalProperties: boolean;
                                                    };
                                                    parent_category_id: {
                                                        type: string;
                                                    };
                                                    form_template_ids: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        archetypes: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    options: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        user_fields: {
                                            type: string;
                                            items: {};
                                        };
                                        auth_providers: {
                                            type: string;
                                            items: {};
                                        };
                                        whispers_allowed_groups_names: {
                                            type: string;
                                        };
                                        denied_emojis: {
                                            type: string;
                                        };
                                        valid_flag_applies_to_types: {
                                            type: string;
                                        };
                                        navigation_menu_site_top_tags: {
                                            type: string;
                                        };
                                        full_name_required_for_signup: {
                                            type: string;
                                        };
                                        full_name_visible_in_signup: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/site/basic-info.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        logo_url: {
                                            type: string;
                                        };
                                        logo_small_url: {
                                            type: string;
                                        };
                                        apple_touch_icon_url: {
                                            type: string;
                                        };
                                        favicon_url: {
                                            type: string;
                                        };
                                        title: {
                                            type: string;
                                        };
                                        description: {
                                            type: string;
                                        };
                                        header_primary_color: {
                                            type: string;
                                        };
                                        header_background_color: {
                                            type: string;
                                        };
                                        login_required: {
                                            type: string;
                                        };
                                        locale: {
                                            type: string;
                                        };
                                        include_in_discourse_discover: {
                                            type: string;
                                        };
                                        mobile_logo_url: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/tag_groups.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        tag_groups: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    tag_names: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                    parent_tag_name: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                    one_per_topic: {
                                                        type: string;
                                                    };
                                                    permissions: {
                                                        type: string;
                                                        properties: {
                                                            staff: {
                                                                type: string;
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    additionalProperties: boolean;
                                    properties: {
                                        tag_group: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                tag_names: {
                                                    type: string;
                                                    items: {};
                                                };
                                                parent_tag_name: {
                                                    type: string;
                                                    items: {};
                                                };
                                                one_per_topic: {
                                                    type: string;
                                                };
                                                permissions: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/tag_groups/{id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        tag_group: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                tag_names: {
                                                    type: string;
                                                    items: {};
                                                };
                                                parent_tag_name: {
                                                    type: string;
                                                    items: {};
                                                };
                                                one_per_topic: {
                                                    type: string;
                                                };
                                                permissions: {
                                                    type: string;
                                                    properties: {
                                                        everyone: {
                                                            type: string;
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        tag_group: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                tag_names: {
                                                    type: string;
                                                    items: {};
                                                };
                                                parent_tag_name: {
                                                    type: string;
                                                    items: {};
                                                };
                                                one_per_topic: {
                                                    type: string;
                                                };
                                                permissions: {
                                                    type: string;
                                                    properties: {
                                                        everyone: {
                                                            type: string;
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/tags.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        tags: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    text: {
                                                        type: string;
                                                    };
                                                    count: {
                                                        type: string;
                                                    };
                                                    pm_count: {
                                                        type: string;
                                                    };
                                                    target_tag: {
                                                        type: string[];
                                                    };
                                                };
                                            };
                                        };
                                        extras: {
                                            type: string;
                                            properties: {
                                                categories: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/tag/{name}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                draft: {
                                                    type: string[];
                                                };
                                                draft_key: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                tags: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            topic_count: {
                                                                type: string;
                                                            };
                                                            staff: {
                                                                type: string;
                                                            };
                                                        };
                                                    };
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string[];
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            last_read_post_number: {
                                                                type: string;
                                                            };
                                                            unread_posts: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string[];
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            liked: {
                                                                type: string;
                                                            };
                                                            tags: {
                                                                type: string;
                                                                items: {};
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string;
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/posts.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        post_stream: {
                                            type: string;
                                            properties: {
                                                posts: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string[];
                                                            };
                                                            username: {
                                                                type: string;
                                                            };
                                                            avatar_template: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            cooked: {
                                                                type: string;
                                                            };
                                                            post_number: {
                                                                type: string;
                                                            };
                                                            post_type: {
                                                                type: string;
                                                            };
                                                            updated_at: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            reply_to_post_number: {
                                                                type: string[];
                                                            };
                                                            quote_count: {
                                                                type: string;
                                                            };
                                                            incoming_link_count: {
                                                                type: string;
                                                            };
                                                            reads: {
                                                                type: string;
                                                            };
                                                            readers_count: {
                                                                type: string;
                                                            };
                                                            score: {
                                                                type: string;
                                                            };
                                                            yours: {
                                                                type: string;
                                                            };
                                                            topic_id: {
                                                                type: string;
                                                            };
                                                            topic_slug: {
                                                                type: string;
                                                            };
                                                            display_username: {
                                                                type: string[];
                                                            };
                                                            primary_group_name: {
                                                                type: string[];
                                                            };
                                                            flair_name: {
                                                                type: string[];
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            version: {
                                                                type: string;
                                                            };
                                                            can_edit: {
                                                                type: string;
                                                            };
                                                            can_delete: {
                                                                type: string;
                                                            };
                                                            can_recover: {
                                                                type: string;
                                                            };
                                                            can_wiki: {
                                                                type: string;
                                                            };
                                                            read: {
                                                                type: string;
                                                            };
                                                            user_title: {
                                                                type: string[];
                                                            };
                                                            actions_summary: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        id: {
                                                                            type: string;
                                                                        };
                                                                        can_act: {
                                                                            type: string;
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                            moderator: {
                                                                type: string;
                                                            };
                                                            admin: {
                                                                type: string;
                                                            };
                                                            staff: {
                                                                type: string;
                                                            };
                                                            user_id: {
                                                                type: string;
                                                            };
                                                            hidden: {
                                                                type: string;
                                                            };
                                                            trust_level: {
                                                                type: string;
                                                            };
                                                            deleted_at: {
                                                                type: string[];
                                                            };
                                                            user_deleted: {
                                                                type: string;
                                                            };
                                                            edit_reason: {
                                                                type: string[];
                                                            };
                                                            can_view_edit_history: {
                                                                type: string;
                                                            };
                                                            wiki: {
                                                                type: string;
                                                            };
                                                            reviewable_id: {
                                                                type: string;
                                                            };
                                                            reviewable_score_count: {
                                                                type: string;
                                                            };
                                                            reviewable_score_pending_count: {
                                                                type: string;
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                        id: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    "post_ids[]": {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        post_stream: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                posts: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            username: {
                                                                type: string;
                                                            };
                                                            avatar_template: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            cooked: {
                                                                type: string;
                                                            };
                                                            post_number: {
                                                                type: string;
                                                            };
                                                            post_type: {
                                                                type: string;
                                                            };
                                                            updated_at: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            reply_to_post_number: {
                                                                type: string[];
                                                            };
                                                            quote_count: {
                                                                type: string;
                                                            };
                                                            incoming_link_count: {
                                                                type: string;
                                                            };
                                                            reads: {
                                                                type: string;
                                                            };
                                                            readers_count: {
                                                                type: string;
                                                            };
                                                            score: {
                                                                type: string;
                                                            };
                                                            yours: {
                                                                type: string;
                                                            };
                                                            topic_id: {
                                                                type: string;
                                                            };
                                                            topic_slug: {
                                                                type: string;
                                                            };
                                                            display_username: {
                                                                type: string;
                                                            };
                                                            primary_group_name: {
                                                                type: string[];
                                                            };
                                                            flair_name: {
                                                                type: string[];
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            version: {
                                                                type: string;
                                                            };
                                                            can_edit: {
                                                                type: string;
                                                            };
                                                            can_delete: {
                                                                type: string;
                                                            };
                                                            can_recover: {
                                                                type: string;
                                                            };
                                                            can_see_hidden_post: {
                                                                type: string;
                                                            };
                                                            can_wiki: {
                                                                type: string;
                                                            };
                                                            link_counts: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    additionalProperties: boolean;
                                                                    properties: {
                                                                        url: {
                                                                            type: string;
                                                                        };
                                                                        internal: {
                                                                            type: string;
                                                                        };
                                                                        reflection: {
                                                                            type: string;
                                                                        };
                                                                        title: {
                                                                            type: string;
                                                                        };
                                                                        clicks: {
                                                                            type: string;
                                                                        };
                                                                    };
                                                                    required: string[];
                                                                };
                                                            };
                                                            read: {
                                                                type: string;
                                                            };
                                                            user_title: {
                                                                type: string[];
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            actions_summary: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    additionalProperties: boolean;
                                                                    properties: {
                                                                        id: {
                                                                            type: string;
                                                                        };
                                                                        can_act: {
                                                                            type: string;
                                                                        };
                                                                    };
                                                                    required: string[];
                                                                };
                                                            };
                                                            moderator: {
                                                                type: string;
                                                            };
                                                            admin: {
                                                                type: string;
                                                            };
                                                            staff: {
                                                                type: string;
                                                            };
                                                            user_id: {
                                                                type: string;
                                                            };
                                                            hidden: {
                                                                type: string;
                                                            };
                                                            trust_level: {
                                                                type: string;
                                                            };
                                                            deleted_at: {
                                                                type: string[];
                                                            };
                                                            user_deleted: {
                                                                type: string;
                                                            };
                                                            edit_reason: {
                                                                type: string[];
                                                            };
                                                            can_view_edit_history: {
                                                                type: string;
                                                            };
                                                            wiki: {
                                                                type: string;
                                                            };
                                                            reviewable_id: {
                                                                type: string;
                                                            };
                                                            reviewable_score_count: {
                                                                type: string;
                                                            };
                                                            reviewable_score_pending_count: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                stream: {
                                                    type: string;
                                                    items: {};
                                                };
                                            };
                                            required: string[];
                                        };
                                        timeline_lookup: {
                                            type: string;
                                            items: {};
                                        };
                                        suggested_topics: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string;
                                                    };
                                                    fancy_title: {
                                                        type: string;
                                                    };
                                                    slug: {
                                                        type: string;
                                                    };
                                                    posts_count: {
                                                        type: string;
                                                    };
                                                    reply_count: {
                                                        type: string;
                                                    };
                                                    highest_post_number: {
                                                        type: string;
                                                    };
                                                    image_url: {
                                                        type: string[];
                                                    };
                                                    created_at: {
                                                        type: string;
                                                    };
                                                    last_posted_at: {
                                                        type: string[];
                                                    };
                                                    bumped: {
                                                        type: string;
                                                    };
                                                    bumped_at: {
                                                        type: string;
                                                    };
                                                    archetype: {
                                                        type: string;
                                                    };
                                                    unseen: {
                                                        type: string;
                                                    };
                                                    pinned: {
                                                        type: string;
                                                    };
                                                    unpinned: {
                                                        type: string[];
                                                    };
                                                    excerpt: {
                                                        type: string;
                                                    };
                                                    visible: {
                                                        type: string;
                                                    };
                                                    closed: {
                                                        type: string;
                                                    };
                                                    archived: {
                                                        type: string;
                                                    };
                                                    bookmarked: {
                                                        type: string[];
                                                    };
                                                    liked: {
                                                        type: string[];
                                                    };
                                                    tags: {
                                                        type: string;
                                                        items: {};
                                                    };
                                                    tags_descriptions: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {};
                                                    };
                                                    like_count: {
                                                        type: string;
                                                    };
                                                    views: {
                                                        type: string;
                                                    };
                                                    category_id: {
                                                        type: string;
                                                    };
                                                    featured_link: {
                                                        type: string[];
                                                    };
                                                    posters: {
                                                        type: string;
                                                        items: {
                                                            type: string;
                                                            additionalProperties: boolean;
                                                            properties: {
                                                                extras: {
                                                                    type: string;
                                                                };
                                                                description: {
                                                                    type: string;
                                                                };
                                                                user: {
                                                                    type: string;
                                                                    additionalProperties: boolean;
                                                                    properties: {
                                                                        id: {
                                                                            type: string;
                                                                        };
                                                                        username: {
                                                                            type: string;
                                                                        };
                                                                        name: {
                                                                            type: string;
                                                                        };
                                                                        avatar_template: {
                                                                            type: string;
                                                                        };
                                                                    };
                                                                    required: string[];
                                                                };
                                                            };
                                                            required: string[];
                                                        };
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        tags: {
                                            type: string;
                                            items: {};
                                        };
                                        tags_descriptions: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {};
                                        };
                                        id: {
                                            type: string;
                                        };
                                        title: {
                                            type: string;
                                        };
                                        fancy_title: {
                                            type: string;
                                        };
                                        posts_count: {
                                            type: string;
                                        };
                                        created_at: {
                                            type: string;
                                        };
                                        views: {
                                            type: string;
                                        };
                                        reply_count: {
                                            type: string;
                                        };
                                        like_count: {
                                            type: string;
                                        };
                                        last_posted_at: {
                                            type: string[];
                                        };
                                        visible: {
                                            type: string;
                                        };
                                        closed: {
                                            type: string;
                                        };
                                        archived: {
                                            type: string;
                                        };
                                        has_summary: {
                                            type: string;
                                        };
                                        archetype: {
                                            type: string;
                                        };
                                        slug: {
                                            type: string;
                                        };
                                        category_id: {
                                            type: string;
                                        };
                                        word_count: {
                                            type: string[];
                                        };
                                        deleted_at: {
                                            type: string[];
                                        };
                                        user_id: {
                                            type: string;
                                        };
                                        featured_link: {
                                            type: string[];
                                        };
                                        pinned_globally: {
                                            type: string;
                                        };
                                        pinned_at: {
                                            type: string[];
                                        };
                                        pinned_until: {
                                            type: string[];
                                        };
                                        image_url: {
                                            type: string[];
                                        };
                                        slow_mode_seconds: {
                                            type: string;
                                        };
                                        draft: {
                                            type: string[];
                                        };
                                        draft_key: {
                                            type: string;
                                        };
                                        draft_sequence: {
                                            type: string;
                                        };
                                        unpinned: {
                                            type: string[];
                                        };
                                        pinned: {
                                            type: string;
                                        };
                                        current_post_number: {
                                            type: string;
                                        };
                                        highest_post_number: {
                                            type: string[];
                                        };
                                        deleted_by: {
                                            type: string[];
                                        };
                                        has_deleted: {
                                            type: string;
                                        };
                                        actions_summary: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    count: {
                                                        type: string;
                                                    };
                                                    hidden: {
                                                        type: string;
                                                    };
                                                    can_act: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        chunk_size: {
                                            type: string;
                                        };
                                        bookmarked: {
                                            type: string;
                                        };
                                        bookmarks: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_timer: {
                                            type: string[];
                                        };
                                        message_bus_last_id: {
                                            type: string;
                                        };
                                        participant_count: {
                                            type: string;
                                        };
                                        show_read_indicator: {
                                            type: string;
                                        };
                                        thumbnails: {
                                            type: string[];
                                        };
                                        slow_mode_enabled_until: {
                                            type: string[];
                                        };
                                        details: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                can_edit: {
                                                    type: string;
                                                };
                                                notification_level: {
                                                    type: string;
                                                };
                                                can_move_posts: {
                                                    type: string;
                                                };
                                                can_delete: {
                                                    type: string;
                                                };
                                                can_remove_allowed_users: {
                                                    type: string;
                                                };
                                                can_create_post: {
                                                    type: string;
                                                };
                                                can_reply_as_new_topic: {
                                                    type: string;
                                                };
                                                can_invite_to: {
                                                    type: string;
                                                };
                                                can_invite_via_email: {
                                                    type: string;
                                                };
                                                can_flag_topic: {
                                                    type: string;
                                                };
                                                can_convert_topic: {
                                                    type: string;
                                                };
                                                can_review_topic: {
                                                    type: string;
                                                };
                                                can_close_topic: {
                                                    type: string;
                                                };
                                                can_archive_topic: {
                                                    type: string;
                                                };
                                                can_split_merge_topic: {
                                                    type: string;
                                                };
                                                can_edit_staff_notes: {
                                                    type: string;
                                                };
                                                can_toggle_topic_visibility: {
                                                    type: string;
                                                };
                                                can_pin_unpin_topic: {
                                                    type: string;
                                                };
                                                can_moderate_category: {
                                                    type: string;
                                                };
                                                can_remove_self_id: {
                                                    type: string;
                                                };
                                                participants: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            username: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            avatar_template: {
                                                                type: string;
                                                            };
                                                            post_count: {
                                                                type: string;
                                                            };
                                                            primary_group_name: {
                                                                type: string[];
                                                            };
                                                            flair_name: {
                                                                type: string[];
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_group_id: {
                                                                type: string[];
                                                            };
                                                            admin: {
                                                                type: string;
                                                            };
                                                            moderator: {
                                                                type: string;
                                                            };
                                                            trust_level: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                created_by: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        id: {
                                                            type: string;
                                                        };
                                                        username: {
                                                            type: string;
                                                        };
                                                        name: {
                                                            type: string;
                                                        };
                                                        avatar_template: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                last_poster: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        id: {
                                                            type: string;
                                                        };
                                                        username: {
                                                            type: string;
                                                        };
                                                        name: {
                                                            type: string;
                                                        };
                                                        avatar_template: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
        };
        "/t/-/{id}.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        basic_topic: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string;
                                                };
                                                fancy_title: {
                                                    type: string;
                                                };
                                                slug: {
                                                    type: string;
                                                };
                                                posts_count: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    topic: {
                                        type: string;
                                        properties: {
                                            title: {
                                                type: string;
                                            };
                                            category_id: {
                                                type: string;
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/invite.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        user: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    user: {
                                        type: string;
                                    };
                                    email: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/invite-group.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        group: {
                                            type: string;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    group: {
                                        type: string;
                                        description: string;
                                    };
                                    should_notify: {
                                        type: string;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/bookmark.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
        };
        "/t/{id}/status.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                        topic_status_update: {
                                            type: string[];
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    status: {
                                        type: string;
                                        enum: string[];
                                    };
                                    enabled: {
                                        type: string;
                                        enum: string[];
                                    };
                                    until: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/latest.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    description: string;
                    schema: {
                        type: string;
                    };
                    required?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                draft: {
                                                    type: string[];
                                                };
                                                draft_key: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            last_read_post_number: {
                                                                type: string;
                                                            };
                                                            unread_posts: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string[];
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            liked: {
                                                                type: string;
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string;
                                                            };
                                                            op_like_count: {
                                                                type: string;
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string;
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/top.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    description: string;
                    schema: {
                        type: string;
                    };
                    required?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        users: {
                                            type: string;
                                            items: {
                                                type: string;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                };
                                            };
                                        };
                                        primary_groups: {
                                            type: string;
                                            items: {};
                                        };
                                        topic_list: {
                                            type: string;
                                            properties: {
                                                can_create_topic: {
                                                    type: string;
                                                };
                                                draft: {
                                                    type: string[];
                                                };
                                                draft_key: {
                                                    type: string;
                                                };
                                                draft_sequence: {
                                                    type: string;
                                                };
                                                for_period: {
                                                    type: string;
                                                };
                                                per_page: {
                                                    type: string;
                                                };
                                                topics: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string;
                                                            };
                                                            fancy_title: {
                                                                type: string;
                                                            };
                                                            slug: {
                                                                type: string;
                                                            };
                                                            posts_count: {
                                                                type: string;
                                                            };
                                                            reply_count: {
                                                                type: string;
                                                            };
                                                            highest_post_number: {
                                                                type: string;
                                                            };
                                                            image_url: {
                                                                type: string[];
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            last_posted_at: {
                                                                type: string;
                                                            };
                                                            bumped: {
                                                                type: string;
                                                            };
                                                            bumped_at: {
                                                                type: string;
                                                            };
                                                            archetype: {
                                                                type: string;
                                                            };
                                                            unseen: {
                                                                type: string;
                                                            };
                                                            last_read_post_number: {
                                                                type: string;
                                                            };
                                                            unread_posts: {
                                                                type: string;
                                                            };
                                                            pinned: {
                                                                type: string;
                                                            };
                                                            unpinned: {
                                                                type: string;
                                                            };
                                                            visible: {
                                                                type: string;
                                                            };
                                                            closed: {
                                                                type: string;
                                                            };
                                                            archived: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            bookmarked: {
                                                                type: string;
                                                            };
                                                            liked: {
                                                                type: string;
                                                            };
                                                            views: {
                                                                type: string;
                                                            };
                                                            like_count: {
                                                                type: string;
                                                            };
                                                            has_summary: {
                                                                type: string;
                                                            };
                                                            last_poster_username: {
                                                                type: string;
                                                            };
                                                            category_id: {
                                                                type: string;
                                                            };
                                                            op_like_count: {
                                                                type: string;
                                                            };
                                                            pinned_globally: {
                                                                type: string;
                                                            };
                                                            featured_link: {
                                                                type: string[];
                                                            };
                                                            posters: {
                                                                type: string;
                                                                items: {
                                                                    type: string;
                                                                    properties: {
                                                                        extras: {
                                                                            type: string[];
                                                                        };
                                                                        description: {
                                                                            type: string;
                                                                        };
                                                                        user_id: {
                                                                            type: string;
                                                                        };
                                                                        primary_group_id: {
                                                                            type: string[];
                                                                        };
                                                                    };
                                                                };
                                                            };
                                                        };
                                                    };
                                                };
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/notifications.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    notification_level: {
                                        type: string;
                                        enum: string[];
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/change-timestamp.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    timestamp: {
                                        type: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/t/{id}/timer.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                        execute_at: {
                                            type: string;
                                        };
                                        duration: {
                                            type: string[];
                                        };
                                        based_on_last_post: {
                                            type: string;
                                        };
                                        closed: {
                                            type: string;
                                        };
                                        category_id: {
                                            type: string[];
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                type: string;
                                properties: {
                                    time: {
                                        type: string;
                                        example: string;
                                    };
                                    status_type: {
                                        type: string;
                                    };
                                    based_on_last_post: {
                                        type: string;
                                    };
                                    category_id: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/t/external_id/{external_id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "301": {
                        description: string;
                    };
                };
            };
        };
        "/uploads.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        url: {
                                            type: string;
                                        };
                                        original_filename: {
                                            type: string;
                                        };
                                        filesize: {
                                            type: string;
                                        };
                                        width: {
                                            type: string;
                                        };
                                        height: {
                                            type: string;
                                        };
                                        thumbnail_width: {
                                            type: string;
                                        };
                                        thumbnail_height: {
                                            type: string;
                                        };
                                        extension: {
                                            type: string;
                                        };
                                        short_url: {
                                            type: string;
                                        };
                                        short_path: {
                                            type: string;
                                        };
                                        retain_hours: {
                                            type: string[];
                                        };
                                        human_filesize: {
                                            type: string;
                                        };
                                        dominant_color: {
                                            type: string[];
                                        };
                                        thumbnail: {
                                            type: string[];
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                upload_id: {
                                                    type: string;
                                                };
                                                url: {
                                                    type: string;
                                                };
                                                extension: {
                                                    type: string;
                                                };
                                                width: {
                                                    type: string;
                                                };
                                                height: {
                                                    type: string;
                                                };
                                                filesize: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "multipart/form-data": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    type: {
                                        type: string;
                                        enum: string[];
                                    };
                                    user_id: {
                                        type: string;
                                        description: string;
                                    };
                                    synchronous: {
                                        type: string;
                                        description: string;
                                    };
                                    file: {
                                        type: string;
                                        format: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/generate-presigned-put.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        key: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                        url: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                        signed_headers: {
                                            type: string;
                                            description: string;
                                            example: {
                                                "x-amz-acl": string;
                                                "x-amz-meta-sha1-checksum": string;
                                            };
                                        };
                                        unique_identifier: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    type: {
                                        type: string;
                                        enum: string[];
                                    };
                                    file_name: {
                                        type: string;
                                        example: string;
                                    };
                                    file_size: {
                                        type: string;
                                        description: string;
                                        example: number;
                                    };
                                    metadata: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            "sha1-checksum": {
                                                type: string;
                                                description: string;
                                            };
                                        };
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/complete-external-upload.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        url: {
                                            type: string;
                                        };
                                        original_filename: {
                                            type: string;
                                        };
                                        filesize: {
                                            type: string;
                                        };
                                        width: {
                                            type: string;
                                        };
                                        height: {
                                            type: string;
                                        };
                                        thumbnail_width: {
                                            type: string;
                                        };
                                        thumbnail_height: {
                                            type: string;
                                        };
                                        extension: {
                                            type: string;
                                        };
                                        short_url: {
                                            type: string;
                                        };
                                        short_path: {
                                            type: string;
                                        };
                                        retain_hours: {
                                            type: string[];
                                        };
                                        human_filesize: {
                                            type: string;
                                        };
                                        dominant_color: {
                                            type: string[];
                                        };
                                        thumbnail: {
                                            type: string[];
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                upload_id: {
                                                    type: string;
                                                };
                                                url: {
                                                    type: string;
                                                };
                                                extension: {
                                                    type: string;
                                                };
                                                width: {
                                                    type: string;
                                                };
                                                height: {
                                                    type: string;
                                                };
                                                filesize: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    unique_identifier: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                    for_private_message: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                    for_site_setting: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                    pasted: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/create-multipart.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        key: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                        external_upload_identifier: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                        unique_identifier: {
                                            type: string;
                                            description: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    upload_type: {
                                        type: string;
                                        enum: string[];
                                    };
                                    file_name: {
                                        type: string;
                                        example: string;
                                    };
                                    file_size: {
                                        type: string;
                                        description: string;
                                        example: number;
                                    };
                                    metadata: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            "sha1-checksum": {
                                                type: string;
                                                description: string;
                                            };
                                        };
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/batch-presign-multipart-parts.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        presigned_urls: {
                                            type: string;
                                            description: string;
                                            example: {
                                                "1": string;
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    part_numbers: {
                                        type: string;
                                        description: string;
                                        example: number[];
                                    };
                                    unique_identifier: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/abort-multipart.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    external_upload_identifier: {
                                        type: string;
                                        description: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/uploads/complete-multipart.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                description: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        url: {
                                            type: string;
                                        };
                                        original_filename: {
                                            type: string;
                                        };
                                        filesize: {
                                            type: string;
                                        };
                                        width: {
                                            type: string;
                                        };
                                        height: {
                                            type: string;
                                        };
                                        thumbnail_width: {
                                            type: string;
                                        };
                                        thumbnail_height: {
                                            type: string;
                                        };
                                        extension: {
                                            type: string;
                                        };
                                        short_url: {
                                            type: string;
                                        };
                                        short_path: {
                                            type: string;
                                        };
                                        retain_hours: {
                                            type: string[];
                                        };
                                        human_filesize: {
                                            type: string;
                                        };
                                        dominant_color: {
                                            type: string[];
                                        };
                                        thumbnail: {
                                            type: string[];
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                upload_id: {
                                                    type: string;
                                                };
                                                url: {
                                                    type: string;
                                                };
                                                extension: {
                                                    type: string;
                                                };
                                                width: {
                                                    type: string;
                                                };
                                                height: {
                                                    type: string;
                                                };
                                                filesize: {
                                                    type: string;
                                                };
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    unique_identifier: {
                                        type: string;
                                        example: string;
                                        description: string;
                                    };
                                    parts: {
                                        type: string;
                                        example: {
                                            part_number: number;
                                            etag: string;
                                        }[];
                                        description: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/user-badges/{username}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                    };
                    required: boolean;
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        badges: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    description: {
                                                        type: string;
                                                    };
                                                    grant_count: {
                                                        type: string;
                                                    };
                                                    allow_title: {
                                                        type: string;
                                                    };
                                                    multiple_grant: {
                                                        type: string;
                                                    };
                                                    icon: {
                                                        type: string;
                                                    };
                                                    image_url: {
                                                        type: string[];
                                                    };
                                                    listable: {
                                                        type: string;
                                                    };
                                                    enabled: {
                                                        type: string;
                                                    };
                                                    badge_grouping_id: {
                                                        type: string;
                                                    };
                                                    system: {
                                                        type: string;
                                                    };
                                                    slug: {
                                                        type: string;
                                                    };
                                                    manually_grantable: {
                                                        type: string;
                                                    };
                                                    badge_type_id: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        badge_types: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    sort_order: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        granted_bies: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                    flair_name: {
                                                        type: string[];
                                                    };
                                                    admin: {
                                                        type: string;
                                                    };
                                                    moderator: {
                                                        type: string;
                                                    };
                                                    trust_level: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        user_badges: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    granted_at: {
                                                        type: string;
                                                    };
                                                    grouping_position: {
                                                        type: string;
                                                    };
                                                    is_favorite: {
                                                        type: string[];
                                                    };
                                                    can_favorite: {
                                                        type: string;
                                                    };
                                                    badge_id: {
                                                        type: string;
                                                    };
                                                    granted_by_id: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/users.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        active: {
                                            type: string;
                                        };
                                        message: {
                                            type: string;
                                        };
                                        user_id: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                    email: {
                                        type: string;
                                    };
                                    password: {
                                        type: string;
                                    };
                                    username: {
                                        type: string;
                                    };
                                    active: {
                                        type: string;
                                        description: string;
                                    };
                                    approved: {
                                        type: string;
                                    };
                                    user_fields: {
                                        type: string;
                                        additionalProperties: boolean;
                                        properties: {
                                            "1": {
                                                type: string;
                                            };
                                        };
                                    };
                                    external_ids: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        user_badges: {
                                            type: string;
                                            items: {};
                                        };
                                        user: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                                last_posted_at: {
                                                    type: string[];
                                                };
                                                last_seen_at: {
                                                    type: string[];
                                                };
                                                created_at: {
                                                    type: string;
                                                };
                                                ignored: {
                                                    type: string;
                                                };
                                                muted: {
                                                    type: string;
                                                };
                                                can_ignore_user: {
                                                    type: string;
                                                };
                                                can_ignore_users: {
                                                    type: string;
                                                };
                                                can_mute_user: {
                                                    type: string;
                                                };
                                                can_mute_users: {
                                                    type: string;
                                                };
                                                can_send_private_messages: {
                                                    type: string;
                                                };
                                                can_send_private_message_to_user: {
                                                    type: string;
                                                };
                                                trust_level: {
                                                    type: string;
                                                };
                                                moderator: {
                                                    type: string;
                                                };
                                                admin: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string[];
                                                };
                                                badge_count: {
                                                    type: string;
                                                };
                                                second_factor_backup_enabled: {
                                                    type: string;
                                                };
                                                user_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        "1": {
                                                            type: string[];
                                                        };
                                                        "2": {
                                                            type: string[];
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        first_name: {
                                                            type: string[];
                                                        };
                                                    };
                                                };
                                                time_read: {
                                                    type: string;
                                                };
                                                recent_time_read: {
                                                    type: string;
                                                };
                                                primary_group_id: {
                                                    type: string[];
                                                };
                                                primary_group_name: {
                                                    type: string[];
                                                };
                                                flair_group_id: {
                                                    type: string[];
                                                };
                                                flair_name: {
                                                    type: string[];
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                featured_topic: {
                                                    type: string[];
                                                };
                                                staged: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                can_edit_username: {
                                                    type: string;
                                                };
                                                can_edit_email: {
                                                    type: string;
                                                };
                                                can_edit_name: {
                                                    type: string;
                                                };
                                                uploaded_avatar_id: {
                                                    type: string[];
                                                };
                                                has_title_badges: {
                                                    type: string;
                                                };
                                                pending_count: {
                                                    type: string;
                                                };
                                                pending_posts_count: {
                                                    type: string;
                                                };
                                                profile_view_count: {
                                                    type: string;
                                                };
                                                second_factor_enabled: {
                                                    type: string;
                                                };
                                                can_upload_profile_header: {
                                                    type: string;
                                                };
                                                can_upload_user_card_background: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                can_be_deleted: {
                                                    type: string;
                                                };
                                                can_delete_all_posts: {
                                                    type: string;
                                                };
                                                locale: {
                                                    type: string[];
                                                };
                                                muted_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                regular_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_first_post_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                muted_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_first_post_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                system_avatar_upload_id: {
                                                    type: string[];
                                                };
                                                system_avatar_template: {
                                                    type: string;
                                                };
                                                muted_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                ignored_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_pm_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                mailing_list_posts_per_day: {
                                                    type: string;
                                                };
                                                can_change_bio: {
                                                    type: string;
                                                };
                                                can_change_location: {
                                                    type: string;
                                                };
                                                can_change_website: {
                                                    type: string;
                                                };
                                                can_change_tracking_preferences: {
                                                    type: string;
                                                };
                                                user_api_keys: {
                                                    type: string[];
                                                };
                                                user_passkeys: {
                                                    type: string;
                                                };
                                                sidebar_tags: {
                                                    type: string;
                                                };
                                                sidebar_category_ids: {
                                                    type: string;
                                                };
                                                display_sidebar_tags: {
                                                    type: string;
                                                };
                                                can_pick_theme_with_custom_homepage: {
                                                    type: string;
                                                };
                                                user_auth_tokens: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            client_ip: {
                                                                type: string;
                                                            };
                                                            location: {
                                                                type: string;
                                                            };
                                                            browser: {
                                                                type: string;
                                                            };
                                                            device: {
                                                                type: string;
                                                            };
                                                            os: {
                                                                type: string;
                                                            };
                                                            icon: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            seen_at: {
                                                                type: string;
                                                            };
                                                            is_active: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_notification_schedule: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        enabled: {
                                                            type: string;
                                                        };
                                                        day_0_start_time: {
                                                            type: string;
                                                        };
                                                        day_0_end_time: {
                                                            type: string;
                                                        };
                                                        day_1_start_time: {
                                                            type: string;
                                                        };
                                                        day_1_end_time: {
                                                            type: string;
                                                        };
                                                        day_2_start_time: {
                                                            type: string;
                                                        };
                                                        day_2_end_time: {
                                                            type: string;
                                                        };
                                                        day_3_start_time: {
                                                            type: string;
                                                        };
                                                        day_3_end_time: {
                                                            type: string;
                                                        };
                                                        day_4_start_time: {
                                                            type: string;
                                                        };
                                                        day_4_end_time: {
                                                            type: string;
                                                        };
                                                        day_5_start_time: {
                                                            type: string;
                                                        };
                                                        day_5_end_time: {
                                                            type: string;
                                                        };
                                                        day_6_start_time: {
                                                            type: string;
                                                        };
                                                        day_6_end_time: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                use_logo_small_as_avatar: {
                                                    type: string;
                                                };
                                                featured_user_badge_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                invited_by: {
                                                    type: string[];
                                                };
                                                groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            automatic: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            display_name: {
                                                                type: string;
                                                            };
                                                            user_count: {
                                                                type: string;
                                                            };
                                                            mentionable_level: {
                                                                type: string;
                                                            };
                                                            messageable_level: {
                                                                type: string;
                                                            };
                                                            visibility_level: {
                                                                type: string;
                                                            };
                                                            primary_group: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string[];
                                                            };
                                                            grant_trust_level: {
                                                                type: string[];
                                                            };
                                                            incoming_email: {
                                                                type: string[];
                                                            };
                                                            has_messages: {
                                                                type: string;
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            bio_raw: {
                                                                type: string[];
                                                            };
                                                            bio_cooked: {
                                                                type: string[];
                                                            };
                                                            bio_excerpt: {
                                                                type: string[];
                                                            };
                                                            public_admission: {
                                                                type: string;
                                                            };
                                                            public_exit: {
                                                                type: string;
                                                            };
                                                            allow_membership_requests: {
                                                                type: string;
                                                            };
                                                            full_name: {
                                                                type: string[];
                                                            };
                                                            default_notification_level: {
                                                                type: string;
                                                            };
                                                            membership_request_template: {
                                                                type: string[];
                                                            };
                                                            members_visibility_level: {
                                                                type: string;
                                                            };
                                                            can_see_members: {
                                                                type: string;
                                                            };
                                                            can_admin_group: {
                                                                type: string;
                                                            };
                                                            publish_read_state: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                group_users: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            group_id: {
                                                                type: string;
                                                            };
                                                            user_id: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            owner: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_option: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        user_id: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode_frequency: {
                                                            type: string;
                                                        };
                                                        email_digests: {
                                                            type: string;
                                                        };
                                                        email_level: {
                                                            type: string;
                                                        };
                                                        email_messages_level: {
                                                            type: string;
                                                        };
                                                        external_links_in_new_tab: {
                                                            type: string;
                                                        };
                                                        bookmark_auto_delete_preference: {
                                                            type: string;
                                                        };
                                                        color_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dark_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dynamic_favicon: {
                                                            type: string;
                                                        };
                                                        enable_quoting: {
                                                            type: string;
                                                        };
                                                        enable_smart_lists: {
                                                            type: string;
                                                        };
                                                        enable_defer: {
                                                            type: string;
                                                        };
                                                        digest_after_minutes: {
                                                            type: string;
                                                        };
                                                        automatically_unpin_topics: {
                                                            type: string;
                                                        };
                                                        auto_track_topics_after_msecs: {
                                                            type: string;
                                                        };
                                                        notification_level_when_replying: {
                                                            type: string;
                                                        };
                                                        new_topic_duration_minutes: {
                                                            type: string;
                                                        };
                                                        email_previous_replies: {
                                                            type: string;
                                                        };
                                                        email_in_reply_to: {
                                                            type: string;
                                                        };
                                                        like_notification_frequency: {
                                                            type: string;
                                                        };
                                                        include_tl0_in_digests: {
                                                            type: string;
                                                        };
                                                        theme_ids: {
                                                            type: string;
                                                            items: {};
                                                        };
                                                        theme_key_seq: {
                                                            type: string;
                                                        };
                                                        allow_private_messages: {
                                                            type: string;
                                                        };
                                                        enable_allowed_pm_users: {
                                                            type: string;
                                                        };
                                                        homepage_id: {
                                                            type: string[];
                                                        };
                                                        hide_profile_and_presence: {
                                                            type: string;
                                                        };
                                                        hide_profile: {
                                                            type: string;
                                                        };
                                                        hide_presence: {
                                                            type: string;
                                                        };
                                                        text_size: {
                                                            type: string;
                                                        };
                                                        text_size_seq: {
                                                            type: string;
                                                        };
                                                        title_count_mode: {
                                                            type: string;
                                                        };
                                                        timezone: {
                                                            type: string[];
                                                        };
                                                        skip_new_user_tips: {
                                                            type: string;
                                                        };
                                                        default_calendar: {
                                                            type: string;
                                                        };
                                                        oldest_search_log_date: {
                                                            type: string[];
                                                        };
                                                        sidebar_link_to_filtered_list: {
                                                            type: string;
                                                        };
                                                        sidebar_show_count_of_new_items: {
                                                            type: string;
                                                        };
                                                        watched_precedence_over_muted: {
                                                            type: string[];
                                                        };
                                                        seen_popups: {
                                                            type: string[];
                                                        };
                                                        topics_unread_when_closed: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        user: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    name: {
                                        type: string;
                                    };
                                    external_ids: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/u/by-external/{external_id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        user_badges: {
                                            type: string;
                                            items: {};
                                        };
                                        user: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                                last_posted_at: {
                                                    type: string[];
                                                };
                                                last_seen_at: {
                                                    type: string[];
                                                };
                                                created_at: {
                                                    type: string;
                                                };
                                                ignored: {
                                                    type: string;
                                                };
                                                muted: {
                                                    type: string;
                                                };
                                                can_ignore_user: {
                                                    type: string;
                                                };
                                                can_ignore_users: {
                                                    type: string;
                                                };
                                                can_mute_user: {
                                                    type: string;
                                                };
                                                can_mute_users: {
                                                    type: string;
                                                };
                                                can_send_private_messages: {
                                                    type: string;
                                                };
                                                can_send_private_message_to_user: {
                                                    type: string;
                                                };
                                                trust_level: {
                                                    type: string;
                                                };
                                                moderator: {
                                                    type: string;
                                                };
                                                admin: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string[];
                                                };
                                                badge_count: {
                                                    type: string;
                                                };
                                                second_factor_backup_enabled: {
                                                    type: string;
                                                };
                                                user_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        "1": {
                                                            type: string[];
                                                        };
                                                        "2": {
                                                            type: string[];
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        first_name: {
                                                            type: string[];
                                                        };
                                                    };
                                                };
                                                time_read: {
                                                    type: string;
                                                };
                                                recent_time_read: {
                                                    type: string;
                                                };
                                                primary_group_id: {
                                                    type: string[];
                                                };
                                                primary_group_name: {
                                                    type: string[];
                                                };
                                                flair_group_id: {
                                                    type: string[];
                                                };
                                                flair_name: {
                                                    type: string[];
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                featured_topic: {
                                                    type: string[];
                                                };
                                                staged: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                can_edit_username: {
                                                    type: string;
                                                };
                                                can_edit_email: {
                                                    type: string;
                                                };
                                                can_edit_name: {
                                                    type: string;
                                                };
                                                uploaded_avatar_id: {
                                                    type: string[];
                                                };
                                                has_title_badges: {
                                                    type: string;
                                                };
                                                pending_count: {
                                                    type: string;
                                                };
                                                pending_posts_count: {
                                                    type: string;
                                                };
                                                profile_view_count: {
                                                    type: string;
                                                };
                                                second_factor_enabled: {
                                                    type: string;
                                                };
                                                can_upload_profile_header: {
                                                    type: string;
                                                };
                                                can_upload_user_card_background: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                can_be_deleted: {
                                                    type: string;
                                                };
                                                can_delete_all_posts: {
                                                    type: string;
                                                };
                                                locale: {
                                                    type: string[];
                                                };
                                                muted_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                regular_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_first_post_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                muted_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_first_post_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                system_avatar_upload_id: {
                                                    type: string[];
                                                };
                                                system_avatar_template: {
                                                    type: string;
                                                };
                                                muted_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                ignored_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_pm_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                mailing_list_posts_per_day: {
                                                    type: string;
                                                };
                                                can_change_bio: {
                                                    type: string;
                                                };
                                                can_change_location: {
                                                    type: string;
                                                };
                                                can_change_website: {
                                                    type: string;
                                                };
                                                can_change_tracking_preferences: {
                                                    type: string;
                                                };
                                                user_api_keys: {
                                                    type: string[];
                                                };
                                                user_passkeys: {
                                                    type: string;
                                                };
                                                sidebar_tags: {
                                                    type: string;
                                                };
                                                sidebar_category_ids: {
                                                    type: string;
                                                };
                                                display_sidebar_tags: {
                                                    type: string;
                                                };
                                                can_pick_theme_with_custom_homepage: {
                                                    type: string;
                                                };
                                                user_auth_tokens: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            client_ip: {
                                                                type: string;
                                                            };
                                                            location: {
                                                                type: string;
                                                            };
                                                            browser: {
                                                                type: string;
                                                            };
                                                            device: {
                                                                type: string;
                                                            };
                                                            os: {
                                                                type: string;
                                                            };
                                                            icon: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            seen_at: {
                                                                type: string;
                                                            };
                                                            is_active: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_notification_schedule: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        enabled: {
                                                            type: string;
                                                        };
                                                        day_0_start_time: {
                                                            type: string;
                                                        };
                                                        day_0_end_time: {
                                                            type: string;
                                                        };
                                                        day_1_start_time: {
                                                            type: string;
                                                        };
                                                        day_1_end_time: {
                                                            type: string;
                                                        };
                                                        day_2_start_time: {
                                                            type: string;
                                                        };
                                                        day_2_end_time: {
                                                            type: string;
                                                        };
                                                        day_3_start_time: {
                                                            type: string;
                                                        };
                                                        day_3_end_time: {
                                                            type: string;
                                                        };
                                                        day_4_start_time: {
                                                            type: string;
                                                        };
                                                        day_4_end_time: {
                                                            type: string;
                                                        };
                                                        day_5_start_time: {
                                                            type: string;
                                                        };
                                                        day_5_end_time: {
                                                            type: string;
                                                        };
                                                        day_6_start_time: {
                                                            type: string;
                                                        };
                                                        day_6_end_time: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                use_logo_small_as_avatar: {
                                                    type: string;
                                                };
                                                featured_user_badge_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                invited_by: {
                                                    type: string[];
                                                };
                                                groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            automatic: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            display_name: {
                                                                type: string;
                                                            };
                                                            user_count: {
                                                                type: string;
                                                            };
                                                            mentionable_level: {
                                                                type: string;
                                                            };
                                                            messageable_level: {
                                                                type: string;
                                                            };
                                                            visibility_level: {
                                                                type: string;
                                                            };
                                                            primary_group: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string[];
                                                            };
                                                            grant_trust_level: {
                                                                type: string[];
                                                            };
                                                            incoming_email: {
                                                                type: string[];
                                                            };
                                                            has_messages: {
                                                                type: string;
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            bio_raw: {
                                                                type: string[];
                                                            };
                                                            bio_cooked: {
                                                                type: string[];
                                                            };
                                                            bio_excerpt: {
                                                                type: string[];
                                                            };
                                                            public_admission: {
                                                                type: string;
                                                            };
                                                            public_exit: {
                                                                type: string;
                                                            };
                                                            allow_membership_requests: {
                                                                type: string;
                                                            };
                                                            full_name: {
                                                                type: string[];
                                                            };
                                                            default_notification_level: {
                                                                type: string;
                                                            };
                                                            membership_request_template: {
                                                                type: string[];
                                                            };
                                                            members_visibility_level: {
                                                                type: string;
                                                            };
                                                            can_see_members: {
                                                                type: string;
                                                            };
                                                            can_admin_group: {
                                                                type: string;
                                                            };
                                                            publish_read_state: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                group_users: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            group_id: {
                                                                type: string;
                                                            };
                                                            user_id: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            owner: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_option: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        user_id: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode_frequency: {
                                                            type: string;
                                                        };
                                                        email_digests: {
                                                            type: string;
                                                        };
                                                        email_level: {
                                                            type: string;
                                                        };
                                                        email_messages_level: {
                                                            type: string;
                                                        };
                                                        external_links_in_new_tab: {
                                                            type: string;
                                                        };
                                                        bookmark_auto_delete_preference: {
                                                            type: string;
                                                        };
                                                        color_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dark_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dynamic_favicon: {
                                                            type: string;
                                                        };
                                                        enable_quoting: {
                                                            type: string;
                                                        };
                                                        enable_smart_lists: {
                                                            type: string;
                                                        };
                                                        enable_defer: {
                                                            type: string;
                                                        };
                                                        digest_after_minutes: {
                                                            type: string;
                                                        };
                                                        automatically_unpin_topics: {
                                                            type: string;
                                                        };
                                                        auto_track_topics_after_msecs: {
                                                            type: string;
                                                        };
                                                        notification_level_when_replying: {
                                                            type: string;
                                                        };
                                                        new_topic_duration_minutes: {
                                                            type: string;
                                                        };
                                                        email_previous_replies: {
                                                            type: string;
                                                        };
                                                        email_in_reply_to: {
                                                            type: string;
                                                        };
                                                        like_notification_frequency: {
                                                            type: string;
                                                        };
                                                        include_tl0_in_digests: {
                                                            type: string;
                                                        };
                                                        theme_ids: {
                                                            type: string;
                                                            items: {};
                                                        };
                                                        theme_key_seq: {
                                                            type: string;
                                                        };
                                                        allow_private_messages: {
                                                            type: string;
                                                        };
                                                        enable_allowed_pm_users: {
                                                            type: string;
                                                        };
                                                        homepage_id: {
                                                            type: string[];
                                                        };
                                                        hide_profile_and_presence: {
                                                            type: string;
                                                        };
                                                        hide_profile: {
                                                            type: string;
                                                        };
                                                        hide_presence: {
                                                            type: string;
                                                        };
                                                        text_size: {
                                                            type: string;
                                                        };
                                                        text_size_seq: {
                                                            type: string;
                                                        };
                                                        title_count_mode: {
                                                            type: string;
                                                        };
                                                        timezone: {
                                                            type: string[];
                                                        };
                                                        skip_new_user_tips: {
                                                            type: string;
                                                        };
                                                        default_calendar: {
                                                            type: string;
                                                        };
                                                        oldest_search_log_date: {
                                                            type: string[];
                                                        };
                                                        sidebar_link_to_filtered_list: {
                                                            type: string;
                                                        };
                                                        sidebar_show_count_of_new_items: {
                                                            type: string;
                                                        };
                                                        watched_precedence_over_muted: {
                                                            type: string[];
                                                        };
                                                        seen_popups: {
                                                            type: string[];
                                                        };
                                                        topics_unread_when_closed: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/u/by-external/{provider}/{external_id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    required: boolean;
                    description: string;
                    schema: {
                        type: string;
                    };
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        user_badges: {
                                            type: string;
                                            items: {};
                                        };
                                        user: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                                last_posted_at: {
                                                    type: string[];
                                                };
                                                last_seen_at: {
                                                    type: string[];
                                                };
                                                created_at: {
                                                    type: string;
                                                };
                                                ignored: {
                                                    type: string;
                                                };
                                                muted: {
                                                    type: string;
                                                };
                                                can_ignore_user: {
                                                    type: string;
                                                };
                                                can_ignore_users: {
                                                    type: string;
                                                };
                                                can_mute_user: {
                                                    type: string;
                                                };
                                                can_mute_users: {
                                                    type: string;
                                                };
                                                can_send_private_messages: {
                                                    type: string;
                                                };
                                                can_send_private_message_to_user: {
                                                    type: string;
                                                };
                                                trust_level: {
                                                    type: string;
                                                };
                                                moderator: {
                                                    type: string;
                                                };
                                                admin: {
                                                    type: string;
                                                };
                                                title: {
                                                    type: string[];
                                                };
                                                badge_count: {
                                                    type: string;
                                                };
                                                second_factor_backup_enabled: {
                                                    type: string;
                                                };
                                                user_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        "1": {
                                                            type: string[];
                                                        };
                                                        "2": {
                                                            type: string[];
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                custom_fields: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        first_name: {
                                                            type: string[];
                                                        };
                                                    };
                                                };
                                                time_read: {
                                                    type: string;
                                                };
                                                recent_time_read: {
                                                    type: string;
                                                };
                                                primary_group_id: {
                                                    type: string[];
                                                };
                                                primary_group_name: {
                                                    type: string[];
                                                };
                                                flair_group_id: {
                                                    type: string[];
                                                };
                                                flair_name: {
                                                    type: string[];
                                                };
                                                flair_url: {
                                                    type: string[];
                                                };
                                                flair_bg_color: {
                                                    type: string[];
                                                };
                                                flair_color: {
                                                    type: string[];
                                                };
                                                featured_topic: {
                                                    type: string[];
                                                };
                                                staged: {
                                                    type: string;
                                                };
                                                can_edit: {
                                                    type: string;
                                                };
                                                can_edit_username: {
                                                    type: string;
                                                };
                                                can_edit_email: {
                                                    type: string;
                                                };
                                                can_edit_name: {
                                                    type: string;
                                                };
                                                uploaded_avatar_id: {
                                                    type: string[];
                                                };
                                                has_title_badges: {
                                                    type: string;
                                                };
                                                pending_count: {
                                                    type: string;
                                                };
                                                pending_posts_count: {
                                                    type: string;
                                                };
                                                profile_view_count: {
                                                    type: string;
                                                };
                                                second_factor_enabled: {
                                                    type: string;
                                                };
                                                can_upload_profile_header: {
                                                    type: string;
                                                };
                                                can_upload_user_card_background: {
                                                    type: string;
                                                };
                                                post_count: {
                                                    type: string;
                                                };
                                                can_be_deleted: {
                                                    type: string;
                                                };
                                                can_delete_all_posts: {
                                                    type: string;
                                                };
                                                locale: {
                                                    type: string[];
                                                };
                                                muted_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                regular_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watching_first_post_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                muted_tags: {
                                                    type: string;
                                                    items: {};
                                                };
                                                tracked_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                watched_first_post_category_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                system_avatar_upload_id: {
                                                    type: string[];
                                                };
                                                system_avatar_template: {
                                                    type: string;
                                                };
                                                muted_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                ignored_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                allowed_pm_usernames: {
                                                    type: string;
                                                    items: {};
                                                };
                                                mailing_list_posts_per_day: {
                                                    type: string;
                                                };
                                                can_change_bio: {
                                                    type: string;
                                                };
                                                can_change_location: {
                                                    type: string;
                                                };
                                                can_change_website: {
                                                    type: string;
                                                };
                                                can_change_tracking_preferences: {
                                                    type: string;
                                                };
                                                user_api_keys: {
                                                    type: string[];
                                                };
                                                user_passkeys: {
                                                    type: string;
                                                };
                                                sidebar_tags: {
                                                    type: string;
                                                };
                                                sidebar_category_ids: {
                                                    type: string;
                                                };
                                                display_sidebar_tags: {
                                                    type: string;
                                                };
                                                can_pick_theme_with_custom_homepage: {
                                                    type: string;
                                                };
                                                user_auth_tokens: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            client_ip: {
                                                                type: string;
                                                            };
                                                            location: {
                                                                type: string;
                                                            };
                                                            browser: {
                                                                type: string;
                                                            };
                                                            device: {
                                                                type: string;
                                                            };
                                                            os: {
                                                                type: string;
                                                            };
                                                            icon: {
                                                                type: string;
                                                            };
                                                            created_at: {
                                                                type: string;
                                                            };
                                                            seen_at: {
                                                                type: string;
                                                            };
                                                            is_active: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_notification_schedule: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        enabled: {
                                                            type: string;
                                                        };
                                                        day_0_start_time: {
                                                            type: string;
                                                        };
                                                        day_0_end_time: {
                                                            type: string;
                                                        };
                                                        day_1_start_time: {
                                                            type: string;
                                                        };
                                                        day_1_end_time: {
                                                            type: string;
                                                        };
                                                        day_2_start_time: {
                                                            type: string;
                                                        };
                                                        day_2_end_time: {
                                                            type: string;
                                                        };
                                                        day_3_start_time: {
                                                            type: string;
                                                        };
                                                        day_3_end_time: {
                                                            type: string;
                                                        };
                                                        day_4_start_time: {
                                                            type: string;
                                                        };
                                                        day_4_end_time: {
                                                            type: string;
                                                        };
                                                        day_5_start_time: {
                                                            type: string;
                                                        };
                                                        day_5_end_time: {
                                                            type: string;
                                                        };
                                                        day_6_start_time: {
                                                            type: string;
                                                        };
                                                        day_6_end_time: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                                use_logo_small_as_avatar: {
                                                    type: string;
                                                };
                                                featured_user_badge_ids: {
                                                    type: string;
                                                    items: {};
                                                };
                                                invited_by: {
                                                    type: string[];
                                                };
                                                groups: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            automatic: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string;
                                                            };
                                                            display_name: {
                                                                type: string;
                                                            };
                                                            user_count: {
                                                                type: string;
                                                            };
                                                            mentionable_level: {
                                                                type: string;
                                                            };
                                                            messageable_level: {
                                                                type: string;
                                                            };
                                                            visibility_level: {
                                                                type: string;
                                                            };
                                                            primary_group: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string[];
                                                            };
                                                            grant_trust_level: {
                                                                type: string[];
                                                            };
                                                            incoming_email: {
                                                                type: string[];
                                                            };
                                                            has_messages: {
                                                                type: string;
                                                            };
                                                            flair_url: {
                                                                type: string[];
                                                            };
                                                            flair_bg_color: {
                                                                type: string[];
                                                            };
                                                            flair_color: {
                                                                type: string[];
                                                            };
                                                            bio_raw: {
                                                                type: string[];
                                                            };
                                                            bio_cooked: {
                                                                type: string[];
                                                            };
                                                            bio_excerpt: {
                                                                type: string[];
                                                            };
                                                            public_admission: {
                                                                type: string;
                                                            };
                                                            public_exit: {
                                                                type: string;
                                                            };
                                                            allow_membership_requests: {
                                                                type: string;
                                                            };
                                                            full_name: {
                                                                type: string[];
                                                            };
                                                            default_notification_level: {
                                                                type: string;
                                                            };
                                                            membership_request_template: {
                                                                type: string[];
                                                            };
                                                            members_visibility_level: {
                                                                type: string;
                                                            };
                                                            can_see_members: {
                                                                type: string;
                                                            };
                                                            can_admin_group: {
                                                                type: string;
                                                            };
                                                            publish_read_state: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                group_users: {
                                                    type: string;
                                                    items: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            group_id: {
                                                                type: string;
                                                            };
                                                            user_id: {
                                                                type: string;
                                                            };
                                                            notification_level: {
                                                                type: string;
                                                            };
                                                            owner: {
                                                                type: string;
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                user_option: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        user_id: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode: {
                                                            type: string;
                                                        };
                                                        mailing_list_mode_frequency: {
                                                            type: string;
                                                        };
                                                        email_digests: {
                                                            type: string;
                                                        };
                                                        email_level: {
                                                            type: string;
                                                        };
                                                        email_messages_level: {
                                                            type: string;
                                                        };
                                                        external_links_in_new_tab: {
                                                            type: string;
                                                        };
                                                        bookmark_auto_delete_preference: {
                                                            type: string;
                                                        };
                                                        color_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dark_scheme_id: {
                                                            type: string[];
                                                        };
                                                        dynamic_favicon: {
                                                            type: string;
                                                        };
                                                        enable_quoting: {
                                                            type: string;
                                                        };
                                                        enable_smart_lists: {
                                                            type: string;
                                                        };
                                                        enable_defer: {
                                                            type: string;
                                                        };
                                                        digest_after_minutes: {
                                                            type: string;
                                                        };
                                                        automatically_unpin_topics: {
                                                            type: string;
                                                        };
                                                        auto_track_topics_after_msecs: {
                                                            type: string;
                                                        };
                                                        notification_level_when_replying: {
                                                            type: string;
                                                        };
                                                        new_topic_duration_minutes: {
                                                            type: string;
                                                        };
                                                        email_previous_replies: {
                                                            type: string;
                                                        };
                                                        email_in_reply_to: {
                                                            type: string;
                                                        };
                                                        like_notification_frequency: {
                                                            type: string;
                                                        };
                                                        include_tl0_in_digests: {
                                                            type: string;
                                                        };
                                                        theme_ids: {
                                                            type: string;
                                                            items: {};
                                                        };
                                                        theme_key_seq: {
                                                            type: string;
                                                        };
                                                        allow_private_messages: {
                                                            type: string;
                                                        };
                                                        enable_allowed_pm_users: {
                                                            type: string;
                                                        };
                                                        homepage_id: {
                                                            type: string[];
                                                        };
                                                        hide_profile_and_presence: {
                                                            type: string;
                                                        };
                                                        hide_profile: {
                                                            type: string;
                                                        };
                                                        hide_presence: {
                                                            type: string;
                                                        };
                                                        text_size: {
                                                            type: string;
                                                        };
                                                        text_size_seq: {
                                                            type: string;
                                                        };
                                                        title_count_mode: {
                                                            type: string;
                                                        };
                                                        timezone: {
                                                            type: string[];
                                                        };
                                                        skip_new_user_tips: {
                                                            type: string;
                                                        };
                                                        default_calendar: {
                                                            type: string;
                                                        };
                                                        oldest_search_log_date: {
                                                            type: string[];
                                                        };
                                                        sidebar_link_to_filtered_list: {
                                                            type: string;
                                                        };
                                                        sidebar_show_count_of_new_items: {
                                                            type: string;
                                                        };
                                                        watched_precedence_over_muted: {
                                                            type: string[];
                                                        };
                                                        seen_popups: {
                                                            type: string[];
                                                        };
                                                        topics_unread_when_closed: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}/preferences/avatar/pick.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    upload_id: {
                                        type: string;
                                    };
                                    type: {
                                        type: string;
                                        enum: string[];
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}/preferences/email.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    email: {
                                        type: string;
                                        format: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}/preferences/username.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    new_username: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/directory_items.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum: string[];
                    };
                    required: boolean;
                } | {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum: string[];
                    };
                    required?: undefined;
                } | {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum?: undefined;
                    };
                    required?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        directory_items: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    likes_received: {
                                                        type: string;
                                                    };
                                                    likes_given: {
                                                        type: string;
                                                    };
                                                    topics_entered: {
                                                        type: string;
                                                    };
                                                    topic_count: {
                                                        type: string;
                                                    };
                                                    post_count: {
                                                        type: string;
                                                    };
                                                    posts_read: {
                                                        type: string;
                                                    };
                                                    days_visited: {
                                                        type: string;
                                                    };
                                                    user: {
                                                        type: string;
                                                        additionalProperties: boolean;
                                                        properties: {
                                                            id: {
                                                                type: string;
                                                            };
                                                            username: {
                                                                type: string;
                                                            };
                                                            name: {
                                                                type: string[];
                                                            };
                                                            avatar_template: {
                                                                type: string;
                                                            };
                                                            title: {
                                                                type: string[];
                                                            };
                                                        };
                                                        required: string[];
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        meta: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                last_updated_at: {
                                                    type: string[];
                                                };
                                                total_rows_directory_items: {
                                                    type: string;
                                                };
                                                load_more_directory_items: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        id: {
                                            type: string;
                                        };
                                        username: {
                                            type: string;
                                        };
                                        name: {
                                            type: string[];
                                        };
                                        avatar_template: {
                                            type: string;
                                        };
                                        active: {
                                            type: string;
                                        };
                                        admin: {
                                            type: string;
                                        };
                                        moderator: {
                                            type: string;
                                        };
                                        last_seen_at: {
                                            type: string[];
                                        };
                                        last_emailed_at: {
                                            type: string[];
                                        };
                                        created_at: {
                                            type: string;
                                        };
                                        last_seen_age: {
                                            type: string[];
                                        };
                                        last_emailed_age: {
                                            type: string[];
                                        };
                                        created_at_age: {
                                            type: string[];
                                        };
                                        trust_level: {
                                            type: string;
                                        };
                                        manual_locked_trust_level: {
                                            type: string[];
                                        };
                                        title: {
                                            type: string[];
                                        };
                                        time_read: {
                                            type: string;
                                        };
                                        staged: {
                                            type: string;
                                        };
                                        days_visited: {
                                            type: string;
                                        };
                                        posts_read_count: {
                                            type: string;
                                        };
                                        topics_entered: {
                                            type: string;
                                        };
                                        post_count: {
                                            type: string;
                                        };
                                        associated_accounts: {
                                            type: string;
                                            items: {};
                                        };
                                        can_send_activation_email: {
                                            type: string;
                                        };
                                        can_activate: {
                                            type: string;
                                        };
                                        can_deactivate: {
                                            type: string;
                                        };
                                        ip_address: {
                                            type: string;
                                        };
                                        registration_ip_address: {
                                            type: string[];
                                        };
                                        can_grant_admin: {
                                            type: string;
                                        };
                                        can_revoke_admin: {
                                            type: string;
                                        };
                                        can_grant_moderation: {
                                            type: string;
                                        };
                                        can_revoke_moderation: {
                                            type: string;
                                        };
                                        can_impersonate: {
                                            type: string;
                                        };
                                        like_count: {
                                            type: string;
                                        };
                                        like_given_count: {
                                            type: string;
                                        };
                                        topic_count: {
                                            type: string;
                                        };
                                        flags_given_count: {
                                            type: string;
                                        };
                                        flags_received_count: {
                                            type: string;
                                        };
                                        private_topics_count: {
                                            type: string;
                                        };
                                        can_delete_all_posts: {
                                            type: string;
                                        };
                                        can_be_deleted: {
                                            type: string;
                                        };
                                        can_be_anonymized: {
                                            type: string;
                                        };
                                        can_be_merged: {
                                            type: string;
                                        };
                                        full_suspend_reason: {
                                            type: string[];
                                        };
                                        latest_export: {
                                            type: string[];
                                        };
                                        silence_reason: {
                                            type: string[];
                                        };
                                        post_edits_count: {
                                            type: string[];
                                        };
                                        primary_group_id: {
                                            type: string[];
                                        };
                                        badge_count: {
                                            type: string;
                                        };
                                        warnings_received_count: {
                                            type: string;
                                        };
                                        bounce_score: {
                                            type: string[];
                                        };
                                        reset_bounce_score_after: {
                                            type: string[];
                                        };
                                        can_view_action_logs: {
                                            type: string;
                                        };
                                        can_disable_second_factor: {
                                            type: string;
                                        };
                                        can_delete_sso_record: {
                                            type: string;
                                        };
                                        api_key_count: {
                                            type: string;
                                        };
                                        similar_users_count: {
                                            type: string;
                                        };
                                        single_sign_on_record: {
                                            type: string[];
                                        };
                                        approved_by: {
                                            type: string[];
                                            additionalProperties: boolean;
                                            properties: {
                                                id: {
                                                    type: string;
                                                };
                                                username: {
                                                    type: string;
                                                };
                                                name: {
                                                    type: string;
                                                };
                                                avatar_template: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        suspended_by: {
                                            type: string[];
                                        };
                                        silenced_by: {
                                            type: string[];
                                        };
                                        penalty_counts: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                silenced: {
                                                    type: string;
                                                };
                                                suspended: {
                                                    type: string;
                                                };
                                            };
                                            required: string[];
                                        };
                                        next_penalty: {
                                            type: string;
                                        };
                                        tl3_requirements: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                time_period: {
                                                    type: string;
                                                };
                                                requirements_met: {
                                                    type: string;
                                                };
                                                requirements_lost: {
                                                    type: string;
                                                };
                                                trust_level_locked: {
                                                    type: string;
                                                };
                                                on_grace_period: {
                                                    type: string;
                                                };
                                                days_visited: {
                                                    type: string;
                                                };
                                                min_days_visited: {
                                                    type: string;
                                                };
                                                num_topics_replied_to: {
                                                    type: string;
                                                };
                                                min_topics_replied_to: {
                                                    type: string;
                                                };
                                                topics_viewed: {
                                                    type: string;
                                                };
                                                min_topics_viewed: {
                                                    type: string;
                                                };
                                                posts_read: {
                                                    type: string;
                                                };
                                                min_posts_read: {
                                                    type: string;
                                                };
                                                topics_viewed_all_time: {
                                                    type: string;
                                                };
                                                min_topics_viewed_all_time: {
                                                    type: string;
                                                };
                                                posts_read_all_time: {
                                                    type: string;
                                                };
                                                min_posts_read_all_time: {
                                                    type: string;
                                                };
                                                num_flagged_posts: {
                                                    type: string;
                                                };
                                                max_flagged_posts: {
                                                    type: string;
                                                };
                                                num_flagged_by_users: {
                                                    type: string;
                                                };
                                                max_flagged_by_users: {
                                                    type: string;
                                                };
                                                num_likes_given: {
                                                    type: string;
                                                };
                                                min_likes_given: {
                                                    type: string;
                                                };
                                                num_likes_received: {
                                                    type: string;
                                                };
                                                min_likes_received: {
                                                    type: string;
                                                };
                                                num_likes_received_days: {
                                                    type: string;
                                                };
                                                min_likes_received_days: {
                                                    type: string;
                                                };
                                                num_likes_received_users: {
                                                    type: string;
                                                };
                                                min_likes_received_users: {
                                                    type: string;
                                                };
                                                penalty_counts: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        silenced: {
                                                            type: string;
                                                        };
                                                        suspended: {
                                                            type: string;
                                                        };
                                                        total: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                        groups: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    id: {
                                                        type: string;
                                                    };
                                                    automatic: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string;
                                                    };
                                                    display_name: {
                                                        type: string;
                                                    };
                                                    user_count: {
                                                        type: string;
                                                    };
                                                    mentionable_level: {
                                                        type: string;
                                                    };
                                                    messageable_level: {
                                                        type: string;
                                                    };
                                                    visibility_level: {
                                                        type: string;
                                                    };
                                                    primary_group: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string[];
                                                    };
                                                    grant_trust_level: {
                                                        type: string[];
                                                    };
                                                    incoming_email: {
                                                        type: string[];
                                                    };
                                                    has_messages: {
                                                        type: string;
                                                    };
                                                    flair_url: {
                                                        type: string[];
                                                    };
                                                    flair_bg_color: {
                                                        type: string[];
                                                    };
                                                    flair_color: {
                                                        type: string[];
                                                    };
                                                    flair_group_id: {
                                                        type: string[];
                                                    };
                                                    bio_raw: {
                                                        type: string[];
                                                    };
                                                    bio_cooked: {
                                                        type: string[];
                                                    };
                                                    bio_excerpt: {
                                                        type: string[];
                                                    };
                                                    public_admission: {
                                                        type: string;
                                                    };
                                                    public_exit: {
                                                        type: string;
                                                    };
                                                    allow_membership_requests: {
                                                        type: string;
                                                    };
                                                    full_name: {
                                                        type: string[];
                                                    };
                                                    default_notification_level: {
                                                        type: string;
                                                    };
                                                    membership_request_template: {
                                                        type: string[];
                                                    };
                                                    members_visibility_level: {
                                                        type: string;
                                                    };
                                                    can_see_members: {
                                                        type: string;
                                                    };
                                                    can_admin_group: {
                                                        type: string;
                                                    };
                                                    publish_read_state: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                        external_ids: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
            delete: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        deleted: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    delete_posts: {
                                        type: string;
                                    };
                                    block_email: {
                                        type: string;
                                    };
                                    block_urls: {
                                        type: string;
                                    };
                                    block_ip: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/activate.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/deactivate.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/suspend.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        suspension: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                suspend_reason: {
                                                    type: string;
                                                };
                                                full_suspend_reason: {
                                                    type: string;
                                                };
                                                suspended_till: {
                                                    type: string;
                                                };
                                                suspended_at: {
                                                    type: string;
                                                };
                                                suspended_by: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        id: {
                                                            type: string;
                                                        };
                                                        username: {
                                                            type: string;
                                                        };
                                                        name: {
                                                            type: string;
                                                        };
                                                        avatar_template: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    suspend_until: {
                                        type: string;
                                        example: string;
                                    };
                                    reason: {
                                        type: string;
                                    };
                                    message: {
                                        type: string;
                                        description: string;
                                    };
                                    post_action: {
                                        type: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/silence.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        silence: {
                                            type: string;
                                            additionalProperties: boolean;
                                            properties: {
                                                silenced: {
                                                    type: string;
                                                };
                                                silence_reason: {
                                                    type: string;
                                                };
                                                silenced_till: {
                                                    type: string;
                                                };
                                                silenced_at: {
                                                    type: string;
                                                };
                                                silenced_by: {
                                                    type: string;
                                                    additionalProperties: boolean;
                                                    properties: {
                                                        id: {
                                                            type: string;
                                                        };
                                                        username: {
                                                            type: string;
                                                        };
                                                        name: {
                                                            type: string;
                                                        };
                                                        avatar_template: {
                                                            type: string;
                                                        };
                                                    };
                                                    required: string[];
                                                };
                                            };
                                            required: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    silenced_till: {
                                        type: string;
                                        example: string;
                                    };
                                    reason: {
                                        type: string;
                                    };
                                    message: {
                                        type: string;
                                        description: string;
                                    };
                                    post_action: {
                                        type: string;
                                        example: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/anonymize.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        username: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/{id}/log_out.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                            example: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/user_avatar/{username}/refresh_gravatar.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        gravatar_upload_id: {
                                            type: string[];
                                        };
                                        gravatar_avatar_template: {
                                            type: string[];
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/admin/users/list/{flag}.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: ({
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum: string[];
                    };
                    required: boolean;
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum: string[];
                    };
                    required?: undefined;
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    schema: {
                        type: string;
                        enum?: undefined;
                    };
                    required?: undefined;
                    description?: undefined;
                } | {
                    name: string;
                    in: string;
                    description: string;
                    schema: {
                        type: string;
                        enum?: undefined;
                    };
                    required?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    minItems: number;
                                    uniqueItems: boolean;
                                    items: {
                                        type: string;
                                        properties: {
                                            id: {
                                                type: string;
                                            };
                                            username: {
                                                type: string;
                                            };
                                            name: {
                                                type: string[];
                                            };
                                            avatar_template: {
                                                type: string;
                                            };
                                            email: {
                                                type: string;
                                            };
                                            secondary_emails: {
                                                type: string;
                                                items: {};
                                            };
                                            active: {
                                                type: string;
                                            };
                                            admin: {
                                                type: string;
                                            };
                                            moderator: {
                                                type: string;
                                            };
                                            last_seen_at: {
                                                type: string[];
                                            };
                                            last_emailed_at: {
                                                type: string[];
                                            };
                                            created_at: {
                                                type: string;
                                            };
                                            last_seen_age: {
                                                type: string[];
                                            };
                                            last_emailed_age: {
                                                type: string[];
                                            };
                                            created_at_age: {
                                                type: string[];
                                            };
                                            trust_level: {
                                                type: string;
                                            };
                                            manual_locked_trust_level: {
                                                type: string[];
                                            };
                                            title: {
                                                type: string[];
                                            };
                                            time_read: {
                                                type: string;
                                            };
                                            staged: {
                                                type: string;
                                            };
                                            days_visited: {
                                                type: string;
                                            };
                                            posts_read_count: {
                                                type: string;
                                            };
                                            topics_entered: {
                                                type: string;
                                            };
                                            post_count: {
                                                type: string;
                                            };
                                        };
                                        required: string[];
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/user_actions.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        user_actions: {
                                            type: string;
                                            items: {
                                                type: string;
                                                additionalProperties: boolean;
                                                properties: {
                                                    excerpt: {
                                                        type: string;
                                                    };
                                                    action_type: {
                                                        type: string;
                                                    };
                                                    created_at: {
                                                        type: string;
                                                    };
                                                    avatar_template: {
                                                        type: string;
                                                    };
                                                    acting_avatar_template: {
                                                        type: string;
                                                    };
                                                    slug: {
                                                        type: string;
                                                    };
                                                    topic_id: {
                                                        type: string;
                                                    };
                                                    target_user_id: {
                                                        type: string;
                                                    };
                                                    target_name: {
                                                        type: string[];
                                                    };
                                                    target_username: {
                                                        type: string;
                                                    };
                                                    post_number: {
                                                        type: string;
                                                    };
                                                    post_id: {
                                                        type: string[];
                                                    };
                                                    username: {
                                                        type: string;
                                                    };
                                                    name: {
                                                        type: string[];
                                                    };
                                                    user_id: {
                                                        type: string;
                                                    };
                                                    acting_username: {
                                                        type: string;
                                                    };
                                                    acting_name: {
                                                        type: string[];
                                                    };
                                                    acting_user_id: {
                                                        type: string;
                                                    };
                                                    title: {
                                                        type: string;
                                                    };
                                                    deleted: {
                                                        type: string;
                                                    };
                                                    hidden: {
                                                        type: string[];
                                                    };
                                                    post_type: {
                                                        type: string[];
                                                    };
                                                    action_code: {
                                                        type: string[];
                                                    };
                                                    category_id: {
                                                        type: string;
                                                    };
                                                    closed: {
                                                        type: string;
                                                    };
                                                    archived: {
                                                        type: string;
                                                    };
                                                };
                                                required: string[];
                                            };
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/session/forgot_password.json": {
            post: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: never[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        success: {
                                            type: string;
                                        };
                                        user_found: {
                                            type: string;
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    login: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/users/password-reset/{token}.json": {
            put: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                    };
                };
                requestBody: {
                    content: {
                        "application/json": {
                            schema: {
                                additionalProperties: boolean;
                                properties: {
                                    username: {
                                        type: string;
                                    };
                                    password: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}/emails.json": {
            get: {
                summary: string;
                tags: string[];
                operationId: string;
                parameters: {
                    name: string;
                    in: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    additionalProperties: boolean;
                                    properties: {
                                        email: {
                                            type: string;
                                        };
                                        secondary_emails: {
                                            type: string;
                                            items: {};
                                        };
                                        unconfirmed_emails: {
                                            type: string;
                                            items: {};
                                        };
                                        associated_accounts: {
                                            type: string;
                                            items: {};
                                        };
                                    };
                                    required: string[];
                                };
                            };
                        };
                    };
                };
            };
        };
        "/chat/{channel_id}": {
            post: {
                summary: string;
                operationId: string;
                parameters: {
                    $ref: string;
                }[];
                requestBody: {
                    required: boolean;
                    content: {
                        "application/x-www-form-urlencoded": {
                            schema: {
                                type: string;
                                required: string[];
                                properties: {
                                    message: {
                                        type: string;
                                        description: string;
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    $ref: string;
                                };
                            };
                        };
                    };
                };
            };
        };
        "/chat/api/channels/{channel_id}/messages": {
            get: {
                summary: string;
                operationId: string;
                parameters: ({
                    $ref: string;
                    in?: undefined;
                    name?: undefined;
                    schema?: undefined;
                    description?: undefined;
                } | {
                    in: string;
                    name: string;
                    schema: {
                        type: string;
                        minimum?: undefined;
                        maximum?: undefined;
                    };
                    description: string;
                    $ref?: undefined;
                } | {
                    in: string;
                    name: string;
                    schema: {
                        type: string;
                        minimum: number;
                        maximum: number;
                    };
                    $ref?: undefined;
                    description?: undefined;
                })[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    type: string;
                                    properties: {
                                        messages: {
                                            type: string;
                                            items: {
                                                $ref: string;
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        "/chat/api/channels/{channel_id}/messages/{message_id}": {
            put: {
                summary: string;
                operationId: string;
                parameters: ({
                    $ref: string;
                    in?: undefined;
                    name?: undefined;
                    required?: undefined;
                    schema?: undefined;
                } | {
                    in: string;
                    name: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    $ref?: undefined;
                })[];
                requestBody: {
                    required: boolean;
                    content: {
                        "application/x-www-form-urlencoded": {
                            schema: {
                                type: string;
                                required: string[];
                                properties: {
                                    message: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    $ref: string;
                                };
                            };
                        };
                    };
                };
            };
        };
        "/chat/{channel_id}/react/{message_id}": {
            put: {
                summary: string;
                operationId: string;
                parameters: ({
                    $ref: string;
                    in?: undefined;
                    name?: undefined;
                    required?: undefined;
                    schema?: undefined;
                } | {
                    in: string;
                    name: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    $ref?: undefined;
                })[];
                requestBody: {
                    required: boolean;
                    content: {
                        "application/x-www-form-urlencoded": {
                            schema: {
                                type: string;
                                required: string[];
                                properties: {
                                    react_action: {
                                        type: string;
                                        enum: string[];
                                    };
                                    emoji: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    "200": {
                        description: string;
                    };
                };
            };
        };
        "/chat/api/direct-message-channels.json": {
            post: {
                summary: string;
                operationId: string;
                requestBody: {
                    required: boolean;
                    content: {
                        "application/x-www-form-urlencoded": {
                            schema: {
                                type: string;
                                properties: {
                                    "target_usernames[]": {
                                        type: string;
                                        items: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    $ref: string;
                                };
                            };
                        };
                    };
                };
            };
        };
        "/u/{username}/card.json": {
            get: {
                summary: string;
                operationId: string;
                parameters: {
                    in: string;
                    name: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                }[];
                responses: {
                    "200": {
                        description: string;
                        content: {
                            "application/json": {
                                schema: {
                                    $ref: string;
                                };
                            };
                        };
                    };
                };
            };
        };
    };
    let servers: {
        url: string;
        variables: {
            defaultHost: {
                default: string;
            };
        };
    }[];
    namespace components {
        namespace schemas {
            namespace ChatMessage {
                let type: string;
                namespace properties {
                    namespace id {
                        let type_1: string;
                        export { type_1 as type };
                    }
                    namespace message_id {
                        let type_2: string;
                        export { type_2 as type };
                    }
                    namespace message {
                        let type_3: string;
                        export { type_3 as type };
                    }
                    namespace cooked {
                        let type_4: string;
                        export { type_4 as type };
                    }
                    namespace created_at {
                        let type_5: string;
                        export { type_5 as type };
                        export let format: string;
                    }
                    namespace user {
                        let type_6: string;
                        export { type_6 as type };
                        export namespace properties_1 {
                            export namespace id_1 {
                                let type_7: string;
                                export { type_7 as type };
                            }
                            export { id_1 as id };
                            export namespace username {
                                let type_8: string;
                                export { type_8 as type };
                            }
                        }
                        export { properties_1 as properties };
                    }
                }
            }
            namespace DmChannel {
                let type_9: string;
                export { type_9 as type };
                export namespace properties_2 {
                    namespace channel {
                        let type_10: string;
                        export { type_10 as type };
                        export namespace properties_3 {
                            export namespace id_2 {
                                let type_11: string;
                                export { type_11 as type };
                            }
                            export { id_2 as id };
                            export namespace chatable {
                                let type_12: string;
                                export { type_12 as type };
                                export namespace properties_4 {
                                    namespace users {
                                        let type_13: string;
                                        export { type_13 as type };
                                        export namespace items {
                                            let type_14: string;
                                            export { type_14 as type };
                                            export namespace properties_5 {
                                                export namespace username_1 {
                                                    let type_15: string;
                                                    export { type_15 as type };
                                                }
                                                export { username_1 as username };
                                            }
                                            export { properties_5 as properties };
                                        }
                                    }
                                }
                                export { properties_4 as properties };
                            }
                        }
                        export { properties_3 as properties };
                    }
                }
                export { properties_2 as properties };
            }
            namespace UserCard {
                let type_16: string;
                export { type_16 as type };
                export namespace properties_6 {
                    export namespace user_1 {
                        let type_17: string;
                        export { type_17 as type };
                        export namespace properties_7 {
                            export namespace id_3 {
                                let type_18: string;
                                export { type_18 as type };
                            }
                            export { id_3 as id };
                            export namespace username_2 {
                                let type_19: string;
                                export { type_19 as type };
                            }
                            export { username_2 as username };
                            export namespace admin {
                                let type_20: string;
                                export { type_20 as type };
                            }
                            export namespace moderator {
                                let type_21: string;
                                export { type_21 as type };
                            }
                        }
                        export { properties_7 as properties };
                    }
                    export { user_1 as user };
                }
                export { properties_6 as properties };
            }
        }
        namespace parameters {
            namespace ChannelId {
                let _in: string;
                export { _in as in };
                export let name: string;
                export let required: boolean;
                export namespace schema {
                    let type_22: string;
                    export { type_22 as type };
                }
            }
        }
    }
}
export default _default;
//# sourceMappingURL=openapi.d.ts.map